*! version 1.0.1  11jan2006  by Marc Muendler  muendler@ucsd.edu

/* Use machinist wage as country wage */

local tlogyr = substr("${tlogyear}",3,2)
local selyr = substr("${selyear}",3,2)

tempfile iso3buba concnace cntrgrpbem

use "$root/conc/fdi-iso-country", clear
rename buba country
keep iso3code country 
sort country
compress
save `iso3buba'

use "$root/conc/sector-conc-nace", clear
sort nace11_code
compress
save `concnace'

use "$root/conc/cntry2bemgrp", clear
rename bubakey country
sort country
compress
save `cntrgrpbem'

use "$root/wages/ubs-data-1996-2001-defl-interpolated.dta", clear
keep buba year wage_ubs_machinist_ppp wage_ubs_electengineer_ppp
rename buba country
rename wage_ubs_machinist_ppp cntr_wage
label var cntr_wage "Annual wage (machinist) [PPP]"
keep if year==${selyear}
keep country year cntr_wage
sort country year
compress
save ${ubs`selyr'}

use "$root/wages/ubs-data-1996-2001-defl-interpolated.dta", clear
keep buba year wage_ubs_machinist_ppp wage_ubs_electengineer_ppp
rename buba country
rename wage_ubs_machinist_ppp cntr_wage
label var cntr_wage "Annual wage (machinist) [PPP]"
keep if year==${tlogyear}
keep country year cntr_wage
sort country year
compress
save ${ubs`tlogyr'}

use "$root/wages/ubs-data-1996-2001-defl-interpolated.dta", clear
keep buba year wage_ubs_machinist wage_ubs_electengineer
rename buba country
rename wage_ubs_machinist cntr_wage
label var cntr_wage "Annual wage (machinist) [defl]"
keep if year==${selyear}
keep if country==0  /* Germany */
foreach var in cntr_wage wage_ubs_electengineer {
  local lbl : variable label `var'
  local lbl = subinstr("`lbl'",".","",.)
  rename `var' `var'_par
  label var `var'_par "Ger `lbl'"
  }
drop country wage_ubs_electengineer_par
sort year
save ${homubs`selyr'}

use "$root/wages/ubs-data-1996-2001-defl-interpolated.dta", clear
keep buba year wage_ubs_machinist wage_ubs_electengineer
rename buba country
rename wage_ubs_machinist cntr_wage
label var cntr_wage "Annual wage (machinist) [defl]"
keep if year==${tlogyear}
keep if country==0  /* Germany */
foreach var in cntr_wage wage_ubs_electengineer {
  local lbl : variable label `var'
  local lbl = subinstr("`lbl'",".","",.)
  rename `var' `var'_par
  label var `var'_par "Ger `lbl'"
  }
drop country wage_ubs_electengineer_par
sort year
save ${homubs`tlogyr'}

use "$root/wages/destatis-gearn-defl", clear /* home wage at NACE 1.1 two-digit level */
keep if year==${tlogyear}
keep nace11 year agearn_med
rename nace11 nace1
rename agearn_med mhomwage
sort nace1 year
compress
save ${homsecwag}

use "$root/wages/swewages", clear
rename bubakey country
rename wage_eur lag_cntr_wage
label var lag_cntr_wage "Lag Swedish MNE wage"
gen int year = $year
sort country year
compress
save ${swe98}

use "$root/wages/swewages", clear
rename bubakey country
keep if country==0  /* Germany */
rename wage_eur lag_cntr_wage_par
label var lag_cntr_wage_par "Lag Ger Swedish MNE wage"
gen int year = $year
sort year
compress
save ${homswe98}
