*! version 1.0.1  22jun2005  by Marc Muendler muendler@ucsd.edu

cd "$rootslct"
clear
set mem 400m
set more off

capture mkdir "$rootslct/tex/desc"
capture mkdir "$rootslct/tex/desc/pt$par-af$aff"  /* Directories unaffected if they exist */

capture log close
log using "logs/comp-reg&attrition-ger.log", replace

/* SAMPLE DESCRIPTIONS */

/* Selection Paper estimation sample */
use "$rootslct/Xdata/smpl-reg-nonattrition-pt$par-af$aff", clear
/* year 2000 data */
keep mneid nofdi* i* sec1
duplicates drop
* codebook mneid nofdi* i* sec1

/* Selection Paper population */
use "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff", clear
keep if year==2000
drop sec1_bem_1996 sec1_bem_2000 
keep mneid nofdi* i* sec1 nreg naff*
duplicates drop
* codebook mneid nofdi* i* sec1 nreg naff*
sort mneid
merge mneid using "$rootslct/Xdata/smpl-reg-nonattrition-pt$par-af$aff", nokeep
keep if _m==3
drop _m
capture noi cf mneid iCE96 iCE00 iDE96 iDE00 iOI96 iOI00 iWE96 iWE00 iHO00 using "$rootslct/Xdata/smpl-reg-nonattrition-pt$par-af$aff", verbose


/* COMPARISON OF ATTRITION PATTERNS */
/*----------------------------------*/

use "$rootslct/Xdata/smpl-reg-nonattrition-pt$par-af$aff", clear
keep mneid nofdi* i* sec1
foreach reg in $regagg {
  foreach 4dyr in 1996 2000 {
    local yr = substr("`4dyr'",-2,2)
    local r2dg = substr("`reg'",1,2)
    rename i`r2dg'`yr' smpl`r2dg'`yr'
    }
  }
sort mneid
merge mneid using "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff", update
keep if year==2000
drop sec1_bem_1996 sec1_bem_2000 
keep mneid nofdi* smpl* i* sec1 nreg naff* _m
tab _m
foreach reg in $regagg {
  foreach 4dyr in 1996 2000 {
    local yr = substr("`4dyr'",-2,2)
    local r2dg = substr("`reg'",1,2)
    qui count if i`r2dg'`yr'~=smpl`r2dg'`yr' & i`r2dg'`yr'~=. & smpl`r2dg'`yr'~=.
    if `r(N)' > 0 {
      disp 
      disp in green "Differing presence indicators " in yellow "`r2dg'`yr'" in green " between sample and population"
      list mneid i`r2dg'`yr' smpl`r2dg'`yr' if i`r2dg'`yr'~=smpl`r2dg'`yr' & i`r2dg'`yr'~=. & smpl`r2dg'`yr'~=.
      }
    }
  }

log close
cd "$root"
