*! version 1.0.1  20nov2006  by Marc Muendler  muendler@ucsd.edu

version 8
cd "$rootslct"
clear
set more off
set matsize 800
adopath + "$root/%stata/ado"

capture mkdir "tex/"
capture mkdir "tex/v6"
capture mkdir "tex/v6/pt$par-af$aff-$waglvl-cf"
capture mkdir "tex/v6/pt$par-af$aff-$waglvl-cf/cafege"

cd "$rootcafege"

capture log close
log using "logs/xtreg-tab.log", replace


// RAIS SUBSECTOR IBGE

* Load variable names and save for est2tex
est2extlbl, addto(xtiv_lnempl) intex($rootdo/%stata/rowlbl-fdiselct) p(tex/v6/pt$par-af$aff-$waglvl-cf/cafege) replace
est2extlbl, addto(xtiv_lnempl_1st) retain p(tex/v6/pt$par-af$aff-$waglvl-cf/cafege) replace
clear


* LOAD MATRICES AND TRANSFORM MATRIX FILES TO STATA 9 FOR LOCAL PROCESSING *

foreach type in b se e r {
    use "estmat/v6/pt$par-af$aff-$waglvl-cf/cafege/xtregln_`type'", clear
    capture saveold "tex/manf/`mat'_tbl", replace
  matload xtregln_`type', p(estmat/v6/pt$par-af$aff-$waglvl-cf/cafege) missing(.) over dropall
  }


// TABLE FOR LOG EMPLOYMENT RESPONSES

* main table
foreach type in b se e r {
  matorder xtregln_`type', m(xtiv_lnempl_`type') ifc(ols_lnempl iv_lnempl xt_lnempl xtiv_lnempl)
  }
est2tex xtiv_lnempl, fancy p(tex/v6/pt$par-af$aff-$waglvl-cf/cafege) replace level(90 95 99) mark(starse) dropall extracols(2)
  use "tex/v6/pt$par-af$aff-$waglvl-cf/cafege/xtiv_lnempl_tbl", clear
  capture saveold "tex/v6/pt$par-af$aff-$waglvl-cf/cafege/xtiv_lnempl_tbl", replace

* 4-regions table
foreach type in b se e r {
  matorder xtregln_`type', m(xtiv_lnempl_1st_`type') ifc(xtiv1_lnempl_CEE xtiv1_lnempl_DEV xtiv1_lnempl_OIN xtiv1_lnempl_WEU)
  }
est2tex xtiv_lnempl_1st, fancy p(tex/v6/pt$par-af$aff-$waglvl-cf/cafege) replace level(90 95 99) mark(starse) dropall
  use "tex/v6/pt$par-af$aff-$waglvl-cf/cafege/xtiv_lnempl_1st_tbl", clear
  capture saveold "tex/v6/pt$par-af$aff-$waglvl-cf/cafege/xtiv_lnempl_1st_tbl", replace


log close
