*! version 1.0.1  01mar2005  by Robert Jaeckle jaeckle@ifo.de
*! version 1.1.9  09apr2006  by Marc Muendler  muendler@ucsd.edu
*! version 1.2.3  26nov2006  by Marc Muendler  muendler@ucsd.edu
*! version 1.2.5  14nov2007  by Marc Muendler  muendler@ucsd.edu
*! version 1.2.6  19mar2008  by Marc Muendler  muendler@ucsd.edu (rerun of bemfiles-ger-allyrs.log and mvprobit-prepare-selct-frmunowage-ptmanf-afmanf-allyrs.log after erroneous deletion with mitmne code)
*! version 1.3.9  15dec2008  by Marc Muendler  muendler@ucsd.edu
*! version 1.4.2  12feb2009  by Marc Muendler  muendler@ucsd.edu
*! version 1.4.3  12jun2009  by Marc Muendler  muendler@ucsd.edu
*! version 2.0.5  05jul2009  by Marc Muendler  muendler@ucsd.edu
*! version 2.1.1  14sep2009  by Marc Muendler  muendler@ucsd.edu

* All economic figures in plain EUR from 2. GERMAN DATA on (but not in 1. SUMMARIZE)
* #bemfiles.do transforms monetary variables to plain EUR
* Employment in number of persons

* NOTE: To transform Swedish do files to German do files
*       0. Retain the file name
*       1. In the do file code, replace "sweden" with "pt$par-af$aff" (or "pt$par-af`aff'" in rare circumstances in %45/)
*       2. In the do file code, replace "outwfdi-iui-" with "outwfdi-ustan-"
*       3. In prep-parent-hostcntry-data-selct.do, replace "affils-parnts-sweden-94&98-plaineur" with "affils-fdi-ustan-96&00-plaineur"
* Never change country references in # files

set seed 49601962
program drop _all
mat drop _all
macro drop _all
set trace off

* global root "c:/becker_muendler"
* global root "R:/Zentrale/6/Daten/6_Extern/!Fdi-Projekte/Muendler"
* global root "//acsnfs4.ucsd.edu/unix-home/econgrad/marcm/fdilabor"
global root "g:/data/fdilabor"

* global rootslct "C:/Home/Muendler/!fdiselct"
* global rootslct "R:/Zentrale/6/Daten/6_Extern/!Fdi-Projekte/Muendler/!fdiselct"
* global rootslct "//acsnfs4.ucsd.edu/unix-home/econgrad/marcm/fdiselct"
global rootslct "g:/data/fdiselct"

* global rootdo "c:/becker_muendler"
* global rootdo "R:/Zentrale/6/Daten/6_Extern/!Fdi-Projekte/Muendler"
* global rootdo "//acsnfs4.ucsd.edu/unix-home/econgrad/marcm/fdiselct"
global rootdo "g:/data/fdiselct"

qui do "$root/%stata/%Settings.do"
qui do "$root/%stata/ado/%Read-tabl2tex.do" /* Reads the programs summ2tex, tabl2tex and corr2tex for later use (to become an ado file later) */
qui do "$root/%stata/ado/%Read-est2tex.do"  /* Reads the packages est2tex and matsave (to avoid overlaps with old versions on outside computers) */
adopath + "$root/%stata/ado"
cd "$root"

global regdef "APC CEE EMU ODV OIN OWE RCA"
global reghomdef "APC CEE EMU HOM ODV OIN OWE RCA"
global regagg "CEE DEV OIN WEU"
global reghomagg "CEE DEV HOM OIN WEU"
global regqrt "Q1 Q2 Q3 Q4"
global reghomqrt "HOM Q1 Q2 Q3 Q4"

capture mkdir "$rootslct/estmat"
capture mkdir "$rootslct/logs"
capture mkdir "$rootslct/tex"
capture mkdir "$rootslct/Xdata"

global par "manf" /* Keep manufacturing parents only (alternatives: "all", "nonmf") */
global aff "manf" /* Keep manufacturing affiliates only (alternatives: "all", "nonmf") */
global share .5     /* Keep majority-owned affiliates only (ownership share strictly exceeds value .5) */

global reps 200    /* 200 bootstrap repetitions */
global maxiter 25  /* 25 maximum likelihood iterations */
global usexvar 3   /* selection regression specification */
global howmany 1   /* "0 1" treatments for missing locations; reset before programs below */

global yrdiff 2  /* decision lag between selection and production */


* 0. AUXILIARY DATA PREPARATION
*------------------------------

global dp "$root/%stata/%00prepare-external"
*  do $dp/read-oww-data.do
*  do $dp/ubs-data-1994-2003.do
*  do $dp/unido-wages-1995-2001.do
*  do $dp/destatis-data-1996-2002.do
*  do $dp/market-potential.do
*  do $dp/swewages.do
*  do $dp/swecostcapital.do


* 1. GERMAN DATA PREPARATION FOR REGRESSIONS (%40)
*-------------------------------------------------
* all economic figures in plain EUR from here on

global addlmne "indwest_par_1996"
global addlsec "union_1996 imp_CEE_2000 exp_CEE_2000 impinp_CEE_2000 imp_DEV_2000 exp_DEV_2000 impinp_DEV_2000 imp_OIN_2000 exp_OIN_2000 impinp_OIN_2000 imp_WEU_2000 exp_WEU_2000 impinp_WEU_2000"

global dpref "$rootdo/%stata/%40selct-ger-prep"

global aff "manf"
    do $dpref/#bemfiles.do
global aff "all"
    do $dpref/#bemfiles.do
    /* Makes DIREK-USTAN data comparable to IUI data */
    /* INPUT   "$root/Xmatch/affils-fdiall-ustan-96-01-eur-03mar2006.dta"
               "$root/Xustan/ustan-compl-03mar2006.dta" */
    /* DO      "$dp/#variable-creation-direk.do"
               "$dp/#variable-creation-ustan.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/affils-fdi-ustan-96&00-plaineur.dta"
               "$rootslct/Xdata/affils-fdiall-ustan-00-plaineur.dta"
               "$rootslct/Xdata/ustan-compl-plaineur.dta"
       Log:    "$rootslct/logs/bemfiles-ger.log" */

global aff "manf"
    do $dpref/prep-parent-hostcntry-data-selct.do
global aff "all"
    do $dpref/prep-parent-hostcntry-data-selct.do
    /* Prepares parent-host country level data */
    /* INPUT   "$rootslct/Xdata/affils-fdi-ustan-96&00-plaineur.dta"
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/cntry2bemgrp.dta"
               "$root/conc/secfix.csv"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/sector-conc-aggbem.dta" */
    /* DO      "$dp/#sector-definitions.do"
               "$dp/#sector-country-resetting.do"
               "$root/conc/secbem.do"
               "$root/conc/sec7ltr.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff.dta"
       Log:    "$rootslct/logs/prep-parent-hostcntry-data-selct-pt$par-af$aff.log" */

global aff "manf"
global waglvl "frmowwwage"
    do $dpref/prep-mvprobit-med-wagediff.do
global waglvl "frmubswage"
    do $dpref/prep-mvprobit-med-wagediff.do
global waglvl "frmunowage"
    do $dpref/prep-mvprobit-med-wagediff.do
global aff "all"
    do $dpref/prep-mvprobit-med-wagediff.do
    /* Prepares parent-region level data for (mv)probit estimates (years 1996 & 2000)*/
    /* INPUT   "$rootslct/Xdata/ustan-compl-plaineur.dta"
               "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff.dta"
               "$root/Xmatch/affils-fdiall-ustan-96-01-eur-03mar2006.dta"
               "$root/countries/extdata-deflated.dta" (%00/deflate-ext-data.do)
               "$root/wages/destatis-gearn-defl.dta" (%00/destatis-data-1996-2002.do)
               "$root/wages/owwdata-country-`year'.dta" (where `year' in 1996 1999; %00/read-oww-data.do)
               "$root/wages/ubs-data-1996-2001-defl-interpolated.dta" (%00/ubs-data-1994-2003.do)
               "$root/wages/unido-wages-defl-1996-2001.dta" (%00/unido-wages-1995-2001.do)
               "$root/wages/swewages.dta" (%00/swewages.do)
               "$root/wages/union_sec_bem.dta"
               "$root/trade/ger-impinp-exp-secbem-ctrygrp-2000.dta" (%00/outside-margin-1997-2004.do)
               "$root/conc/cntry2bemgrp.dta" (%00/buba-iso-codes.do)
               "$root/conc/fdi-iso-country.dta" (%00/buba-iso-codes.do)
               "$root/conc/nace2bem.dta" (%00/buba-nace-codes.do)
               "$root/conc/sector-conc-nace.dta" (%00/buba-nace-codes.do)
               "$root/conc/sector-conc-bem.dta" (%00/buba-nace-codes.do)
               "$root/conc/unido-industries.csv" */
    /* DO      "$dpref/#wage-diff-$waglvl.do"
               "$dpref/#translog-owwwages.do"
               "$dpref/#translog-ubswages.do"
               "$dpref/#translog-unowages.do"
               "$dpref/#parinfo-probit.do"
               "$dpref/#addlvars.do"
               "$root/conc/secbem.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta"
               "$rootslct/tex/desc/wagediffs/diffsger`yr'-$waglvl.dta" (where `yr' in 96 through 01)
       Log:    "$rootslct/logs/mvprobit-prepare-selct-$waglvl-pt$par-af$aff.log" */

global aff "manf"
global waglvl "frmowwwage"
    do $dpref/prep-translog-fdidata.do
global waglvl "frmubswage"
    do $dpref/prep-translog-fdidata.do
global waglvl "frmunowage"
    do $dpref/prep-translog-fdidata.do
global aff "all"
    do $dpref/prep-translog-fdidata.do
    /* Prepares parent-host country level data for Translog regressions */
    /* INPUT   "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff.dta"
               "$root/wages/destatis-gearn-defl.dta"
               "$root/wages/owwdata-country-`year'.dta" (where `yr' in 1996 1999)
               "$root/wages/ubs-data-1996-2001-defl-interpolated.dta"
               "$root/wages/unido-wages-defl-1996-2001.dta"
               "$root/wages/swewages.dta"
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/cntry2bemgrp.dta" (%00/buba-iso-codes.do)
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/unido-industries.csv" */
    /* DO      "$dp/#translog-owwwages.do"
               "$dp/#translog-ubswages.do"
               "$dp/#translog-unowages.do"
               "$dp/#translog-yearselect-wages.do"
               "$dp/#translog-avgswe-wages.do" 
               "$root/conc/secbem.do" */
    /* OUTPUT
       Data:   "$rootslct/tex/desc/pt$par-af$aff/employment-aggregates-`year'.dta" (where `year' in 1996 2000)
               "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-translog-$waglvl-pt$par-af$aff.dta" (where `year' in 1996 2000)
       Log:    "$rootslct/logs/prep-translog-fdi-data-$waglvl-pt$par-af$aff.log" */

global method "impfillin"
global aff "manf"
    do $dpref/prep-vars-others.do
global aff "all"
    do $dpref/prep-vars-others.do
    /* Prepares location-specific variables as competitors' exposure */
    /* INPUT   "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff.dta"
               "$root/trade/mkt-access-$method-`year'.dta" (where `year' in 1996 2000; %00/market-potential.do)
               "$root/countries/barro-lee-99-pwt-iso.dta"
               "$root/countries/extdata-deflated.dta" (%00/deflate-ext-data.do)
               "$root/countries/dist-deu.dta" (%00/market-potential.do)
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/cntry2bemgrp.dta"
               "$root/conc/direk-cntrylist.csv" */
    /* DO      "$dp/#wdi-external.do"
               "$root/conc/land.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-locvars-pt$par-af$aff.dta" (where `year' in 1996, 2000)
               "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-wwlocvars-pt$par-af$aff.dta" (where `year' in 1996, 2000)
       Log:    "$rootslct/logs/prep-vars-others-pt$par-af$aff.log" */

global aff "manf"
global waglvl "frmowwwage"
    do $dpref/prep-costs-others.do
global waglvl "frmubswage"
    do $dpref/prep-costs-others.do
global waglvl "frmunowage"
    do $dpref/prep-costs-others.do
global aff "all"
    do $dpref/prep-costs-others.do
    /* Prepares competitors' wage and non-wage variables */
    /* INPUT   "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-translog-$waglvl-pt$par-af$aff.dta" (where `year' in 1996, 2000) */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-costothr-$waglvl-pt$par-af$aff.dta" (where `year' in 1996, 2000)
       Log:    "$rootslct/logs/prep-costs-others-$waglvl-pt$par-af$aff.log" */

global aff "manf"
    do $dpref/#bemfiles-allyrs.do
global aff "all"
    do $dpref/#bemfiles-allyrs.do
    /* Makes DIREK-USTAN data comparable to IUI data */
    /* INPUT   "$root/Xmatch/affils-fdiall-ustan-96-01-eur-03mar2006.dta"
               "$root/Xustan/ustan-compl-03mar2006.dta" */
    /* DO      "$dpref/#variable-creation-direk.do"
               "$dpref/#variable-creation-ustan.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/affils-fdi-ustan-allyrs-plaineur.dta"
       Log:    "$rootslct/logs/bemfiles-ger-allyrs.log" */

global aff "manf"
    do $dpref/prep-parent-hostcntry-data-selct-allyrs.do
global aff "all"
    do $dpref/prep-parent-hostcntry-data-selct-allyrs.do
    /* Prepares parent-host country level data */
    /* INPUT   "$rootslct/Xdata/affils-fdi-ustan-allyrs-plaineur.dta"
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/cntry2bemgrp.dta"
               "$root/conc/secfix.csv"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/sector-conc-aggbem.dta" */
    /* DO      "$dpref/#sector-definitions.do"
               "$dpref/#sector-country-resetting.do"
               "$root/conc/secbem.do"
               "$root/conc/sec7ltr.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff-allyrs.dta"
       Log:    "$rootslct/logs/prep-parent-hostcntry-data-selct-pt$par-af$aff-allyrs.log" */

global aff "manf"
global waglvl "frmowwwage"
    do $dpref/prep-mvprobit-med-wagediff-allyrs.do
global waglvl "frmubswage"
    do $dpref/prep-mvprobit-med-wagediff-allyrs.do
global waglvl "frmunowage"
    do $dpref/prep-mvprobit-med-wagediff-allyrs.do
global aff "all"
    do $dpref/prep-mvprobit-med-wagediff-allyrs.do
    /* Prepares parent-region level data for (mv)probit estimates (years 1998 1999 2000 2001)*/
    /* INPUT   "$rootslct/Xdata/ustan-compl-plaineur.dta"
               "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff-allyrs.dta"
               "$root/Xmatch/affils-fdiall-ustan-96-01-eur-03mar2006.dta"
               "$root/countries/extdata-deflated.dta"
               "$root/wages/destatis-gearn-defl.dta"
               "$root/wages/owwdata-country-`year'.dta" (where `year' in 1996 1997 1998 1999)
               "$root/wages/ubs-data-1996-2001-defl-interpolated.dta"
               "$root/wages/unido-wages-defl-1996-2001.dta"
               "$root/wages/swewages.dta"
               "$root/wages/union_sec_bem.dta"
               "$root/trade/ger-impinp-exp-secbem-ctrygrp-2000.dta"
               "$root/conc/cntry2bemgrp.dta" 
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/nace2bem.dta"
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/unido-industries.csv" */
    /* DO      "$dpref/#wage-diff-$waglvl.do"
               "$dpref/#translog-owwwages.do"
               "$dpref/#translog-ubswages.do"
               "$dpref/#translog-unowages.do"
               "$dpref/#parinfo-probit.do"
               "$dpref/#addlvars.do"
               "$root/conc/secbem.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mvprobit-outwfdi-ustan-`tlogyear'd$yrdiff-$waglvl-pt$par-af$aff.dta" (where `tlogyear' in 1998 1999 2000 2001)
               "$rootslct/tex/desc/wagediffs/diffsger`yr'd$yrdiff-$waglvl.dta" (where `yr' in 98 99 00 01)
       Log:    "$rootslct/logs/mvprobit-prepare-selct-$waglvl-pt$par-af$aff-allyrs.log" */

global aff "manf"
global waglvl "frmowwwage"
    do $dpref/prep-translog-fdidata-allyrs.do
global waglvl "frmubswage"
    do $dpref/prep-translog-fdidata-allyrs.do
global waglvl "frmunowage"
    do $dpref/prep-translog-fdidata-allyrs.do
global aff "all"
    do $dpref/prep-translog-fdidata-allyrs.do
    /* Prepares parent-host country level data for Translog regressions */
    /* INPUT   "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff-allyrs.dta"
               "$root/wages/destatis-gearn-defl.dta"
               "$root/wages/owwdata-country-`year'.dta" (where `yr' in 1996 1997 1998 1999)
               "$root/wages/ubs-data-1996-2001-defl-interpolated.dta"
               "$root/wages/unido-wages-defl-1996-2001.dta"
               "$root/wages/swewages.dta"
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/cntry2bemgrp.dta" 
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/unido-industries.csv" */
    /* DO      "$dpref/#translog-owwwages.do"
               "$dpref/#translog-ubswages.do"
               "$dpref/#translog-unowages.do"
               "$dpref/#translog-yearselect-wages.do"
               "$dpref/#translog-avgswe-wages.do"
               "$root/conc/secbem.do" */
    /* OUTPUT
       Data:   "$rootslct/tex/desc/pt$par-af$aff/employment-aggregates-`year'.dta" (where `year' in 1997 1998 1999 2001)
               "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-translog-$waglvl-pt$par-af$aff.dta" (where `year' in 1997 1998 1999 2001)
       Log:    "$rootslct/logs/prep-translog-fdi-data-$waglvl-pt$par-af$aff-allyrs.log" */

global method "impfillin"
global aff "manf"
    do $dpref/prep-vars-others-allyrs.do
global aff "all"
    do $dpref/prep-vars-others-allyrs.do
    /* Prepares location-specific variables as competitors' exposure */
    /* INPUT   "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff-allyrs.dta"
               "$root/trade/mkt-access-$method-`year'.dta" (where `year' in 1997 1998 1999)
               "$root/countries/barro-lee-99-pwt-iso.dta"
               "$root/countries/extdata-deflated.dta" 
               "$root/countries/dist-deu.dta"
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/cntry2bemgrp.dta"
               "$root/conc/direk-cntrylist.csv" */
    /* DO      "$dp/#wdi-external.do"
               "$root/conc/land.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-locvars-pt$par-af$aff.dta" (where `year' in 1997 1998 1999)
               "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-wwlocvars-pt$par-af$aff.dta" (where `year' in 1997 1998 1999)
       Log:    "$rootslct/logs/prep-vars-others-pt$par-af$aff-allyrs.log" */

global aff "manf"
global waglvl "frmowwwage"
    do $dpref/prep-costs-others-allyrs.do
global waglvl "frmubswage"
    do $dpref/prep-costs-others-allyrs.do
global waglvl "frmunowage"
    do $dpref/prep-costs-others-allyrs.do
global aff "all"
    do $dpref/prep-costs-others-allyrs.do
    /* Prepares competitors' wage and non-wage variables */
    /* INPUT   "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-translog-$waglvl-pt$par-af$aff.dta" (where `year' in 1997 1998 1999) */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-costothr-$waglvl-pt$par-af$aff.dta" (where `year' in 1997 1998 1999)
       Log:    "$rootslct/logs/prep-costs-others-$waglvl-pt$par-af$aff-allyrs.log" */

global aff "manf"
global waglvl "frmowwwage"
* do $dpref/prep-quarts.do
global waglvl "frmubswage"
* do $dpref/prep-quarts.do
global waglvl "frmunowage"
    do $dpref/prep-quarts.do
global aff "all"
* do $dpref/prep-quarts.do
    /* Determine country quartiles by wage levels */
    /* INPUT   "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff-allyrs.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-`year'd$yrdiff-$waglvl-pt$par-af$aff.dta" (where `year' in 1996 1998 2001)
               "$root/wages/destatis-gearn-defl.dta"
               "$root/wages/owwdata-country-`year'.dta" (where `yr' in 1996 1997 1998 1999)
               "$root/wages/ubs-data-1996-2001-defl-interpolated.dta"
               "$root/wages/unido-wages-defl-1996-2001.dta"
               "$root/wages/swewages.dta"
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/cntry2bemgrp.dta" 
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/unido-industries.csv" */
    /* DO      "$dpref/#translog-owwwages.do"
               "$dpref/#translog-ubswages.do"
               "$dpref/#translog-unowages.do"
               "$dpref/#translog-yearselect-wages.do"
               "$dpref/#translog-avgswe-wages.do" */
    /* OUTPUT
       Data:   "$rootslct/tex/desc/quarts/$waglvl-quartiles.dta"
               "$rootslct/tex/desc/quarts/pt$par-af$aff-$waglvl-`year'.dta" (`year' in 1996 1998 2001)
       Tables: "$rootslct/tex/pop/pt$par-af$aff/countrylist-$waglvl-`year'.tex" (`year' in 1996 1998 2001)
       Log:    "$rootslct/logs/prep-$waglvl-pt$par-af$aff-quarts.log" */
global aff "manf"

global waglvl "frmowwwage"
* [external] do $dpref/#swe-wage-diff.do
global waglvl "frmubswage"
* [external] do $dpref/#swe-wage-diff.do
global waglvl "frmunowage"
* [external] do $dpref/#swe-wage-diff.do
    /* Constructs differentials between Swedish MNEs and Unido wages */
    /* INPUT   "$root/Xiui/sa98.dta"
               "$root/Xiui/sb98.dta"
               "$root/conc/cntry2bemgrp.dta"
               "$root/conc/countryconc-iui-buba-nodup.dta"
               "$root/conc/conc-sni94-bran98.dta"
               "$root/conc/iuisector.dta"
               "$root/conc/nace2bem.csv"
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/nace2nacefix.dta"
               "$rootslct/tex/desc/quarts/pt$par-af$aff-$waglvl-1998.dta" */
    /* OUTPUT
       Data:   "$rootslct/tex/desc/wagediffs/swediffs-$waglvl-1998.dta"
               "$rootslct/tex/desc/wagediffs/swediffs-$waglvl-1998-cntrygrp.dta"
       Tables: "$rootslct/tex/pop/pt$par-af$aff/swediffs-$waglvl-1998.tex"
       Log:    "$rootslct/logs/swe-wage-diff.log" */

global waglvl "frmunowage"
* [external] do $dpref/#swe-wage-diff-quarts.do
    /* Constructs differentials between Swedish MNEs and Unido wages */
    /* INPUT   "$root/Xiui/sa98.dta"
               "$root/Xiui/sb98.dta"
               "$root/conc/countryconc-iui-buba-nodup.dta"
               "$root/conc/conc-sni94-bran98.dta"
               "$root/conc/iuisector.dta"
               "$root/conc/nace2bem.csv"
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/nace2nacefix.dta"
               "$rootslct/tex/desc/quarts/pt$par-af$aff-$waglvl-1998.dta"
               "$rootslct/tex/desc/quarts/$waglvl-quartiles" */
    /* OUTPUT
       Data:   "$rootslct/tex/desc/wagediffs/swediffs-$waglvl-1998-quarts.dta"
               "$rootslct/tex/desc/wagediffs/swediffs-$waglvl-1998-quartile-quarts.dta"
       Tables: "$rootslct/tex/pop/pt$par-af$aff/swediffs-$waglvl-1998-quarts.tex"
       Log:    "$rootslct/logs/swe-wage-diff-quarts.log" */

global aff "manf"
    do $dpref/#reg-pop-pattern-ger.do
global aff "all"
    do $dpref/#reg-pop-pattern-ger.do
    /* Prepares patterns of regional presence for estimation (and makes summary statistics) */
    /* INPUT   "$root/Xdata/affils-outwfdi96-01-eur-03mar2006.dta"
               "$root/conc/fdi-iso-country.dta" (%00/buba-iso-codes.do)
               "$root/conc/cntry2bemgrp.dta" (%00/buba-iso-codes.do)
               "$root/conc/sector-conc-nace.dta" (%00/buba-nace-codes.do)
               "$root/conc/secfix.csv"
               "$root/conc/sector-conc-bem.dta" (%00/buba-nace-codes.do)
               "$root/conc/sector-conc-aggbem.dta" (%00/buba-nace-codes.do) */
    /* DO      "$dp/#sector-definitions.do"
               "$dp/#sector-country-resetting.do"
               "$root/conc/secbem.do"
               "$root/conc/sec7ltr.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
       TeX:    "$rootslct/tex/pop/pt$par-af$aff/summ_del_naff.tex"   
               "$rootslct/tex/pop/pt$par-af$aff/summ_del_naff96.tex"
               "$rootslct/tex/pop/pt$par-af$aff/summ_del_naff00.tex"
               "$rootslct/tex/pop/pt$par-af$aff/delnaff.tex"
               "$rootslct/tex/pop/pt$par-af$aff/delncty.tex"
               "$rootslct/tex/pop/pt$par-af$aff/pattern96.tex"
               "$rootslct/tex/pop/pt$par-af$aff/pattern00.tex"
               "$rootslct/tex/pop/pt$par-af$aff/countries_compl.tex"
               "$rootslct/tex/pop/pt$par-af$aff/countries.tex"
       Log:    "logs/reg-pop-pattern-ger-pt$par-af$aff.log" */

global aff "manf"
    do $dpref/#reg-pop-pattern-ger-allyrs.do
global aff "all"
    do $dpref/#reg-pop-pattern-ger-allyrs.do
    /* Prepares patterns of regional presence for estimation (makes no summary statistics) */
    /* INPUT   "$root/Xdata/affils-outwfdi96-01-eur-03mar2006.dta"
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/cntry2bemgrp.dta"
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/secfix.csv"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/sector-conc-aggbem.dta" */
    /* DO      "$dpref/#sector-definitions.do"
               "$dpref/#sector-country-resetting.do"
               "$root/conc/secbem.do"
               "$root/conc/sec7ltr.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff-allyrs.dta"
       Log:    "logs/reg-pop-pattern-ger-pt$par-af$aff-allyrs.log" */
       
global aff "manf"
    do $dpref/#reg-pop-pattern-ger-quarts.do
global aff "all"
* do $dpref/#reg-pop-pattern-ger-quarts.do
    /* Prepares patterns of regional presence for estimation (makes no summary statistics) */
    /* INPUT   "$root/Xdata/affils-outwfdi96-01-eur-03mar2006.dta"
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/cntry2bemgrp.dta"
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/secfix.csv"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/sector-conc-aggbem.dta" */
    /* DO      "$dpref/#sector-definitions.do"
               "$dpref/#sector-country-resetting.do"
               "$root/conc/secbem.do"
               "$root/conc/sec7ltr.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff-quarts.dta"
       Log:    "logs/reg-pop-pattern-ger-pt$par-af$aff-quarts.log" */
       
global aff "manf"
global waglvl "frmowwwage"
    do $dpref/make-regdata-cf-allyrs.do
global waglvl "frmubswage"
    do $dpref/make-regdata-cf-allyrs.do
global waglvl "frmunowage"
    do $dpref/make-regdata-cf-allyrs.do
global aff "all"
    do $dpref/make-regdata-cf-allyrs.do
    /* Combines data over all years for translog and selection */
    /* INPUT   "$root/Xustan/ustan-fdi-match-wages-defl-15jun2009.dta"
               "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff-allyrs.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-`years'-translog-$waglvl-pt$par-af$aff.dta" (where years in 1998 1999 2000 2001)
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-`years'd$yrdiff-$waglvl-pt$par-af$aff.dta" (where years in 1998 1999 2000 2001)
               "$rootslct/Xdata/mneid-outwfdi-ustan-`years'-costothr-$waglvl-pt$par-af$aff.dta" (where years in 1996 1997 1998 1999)
               "$rootslct/Xdata/mneid-outwfdi-ustan-`years'-wwlocvars-pt$par-af$aff.dta" (where years in 1996 1997 1998 1999)
               "$rootslct/tex/desc/wagediffs/swediffs-$waglvl-1998-cntrygrp.dta" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" 
       Log:    "$rootslct/logs/make-regdata-cf-allyrs-pt$par-af$aff.log" */


* 2. REGRESSIONS ON GERMAN DATA FOR SELECTION PAPER (%42)
*--------------------------------------------------------

global aff "manf"
global waglvl  "frmunowage"
global addlmne "indwest_par_1996"
global addlsec "union_1996 imp_CEE_2000 exp_CEE_2000 impinp_CEE_2000 imp_DEV_2000 exp_DEV_2000 impinp_DEV_2000 imp_OIN_2000 exp_OIN_2000 impinp_OIN_2000 imp_WEU_2000 exp_WEU_2000 impinp_WEU_2000"

global dp "$rootdo/%stata/%42selct-ger-reg"

    do $dp/reg-extmarg.do
    /* Runs simple regressions to assess regional presence */
    /* INPUT   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6/pt$par-af$aff-$waglvl/extmarg/olsnaff`r2dg'_`type'.dta" (where `type' in b se e, `r2dg' in CE DE OI WE)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl/extmarg/olsempl`r2dg'_`type'.dta" (where `type' in b se e, `r2dg' in CE DE OI WE)
       Log:    "$rootslct/logs/reg-extmarg-$waglvl-pt$par-af$aff.log" */

    do $dp/probit-selct.do
    /* Estimates probit location choices */
    /* INPUT   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/probit/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/probit/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
       Log:    "$rootslct/logs/probit-selct-$waglvl-pt$par-af$aff.log" */

    do $dp/translog-selct-2stp-cf.do
    /* Estimates translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$root/Xustan/ustan-fdi-match-wages-defl-15jun2009.dta"
               "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta"
               "$rootslct/tex/desc/wagediffs/swediffs-$waglvl-1998-cntrygrp.dta" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf.dta" 
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/probit-zgamma-$waglvl-pt$par-af$aff.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff.dta"
       Tables: "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf.log" */

    do $dp/translog-selct-2stp-bstrap-cf.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl.log" */

    do $dp/tab-estmat-selct-cf.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/sunkcost.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/probit_apx1.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/probit_apx2.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/probit_apx3.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/dprobit_apx1.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/dprobit_apx2.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/dprobit_apx3.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

    do $dp/translog-selct-2stp-cf-nonparam.do
    /* Estimates translog cost shares and elasticities under selection in a non-parametric two-step approach (Das, Newey, Vella 2003) */
    /* INPUT   "$root/Xustan/ustan-fdi-match-wages-defl-15jun2009.dta"
               "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta"
               "$rootslct/tex/desc/wagediffs/swediffs-$waglvl-1998-cntrygrp.dta" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam.dta"
               "$rootslct/Xdata/mneid-fortwoway-$waglvl-pt$par-af$aff-cf-nonparam.dta"
       Tables: "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/byreg/selreg`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-nonparam.log" */

    do $dp/translog-selct-2stp-bstrap-cf-nonparam.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-nonparam.log" */

    do $dp/tab-estmat-selct-cf-nonparam.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/byreg/selreg`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/selreg_txt.tex"
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/selreg_apx1.tex"
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/selreg_apx2.tex"
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/selreg_apx3.tex"
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6np/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

* do $dp/translog-selct-2stp-cf-nonparam-relaxed.do
    /* Estimates translog cost shares and elasticities under selection in a non-parametric two-step approach (Das, Newey, Vella 2003) */
    /* INPUT   "$root/Xustan/ustan-fdi-match-wages-defl-15jun2009.dta"
               "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta"
               "$rootslct/tex/desc/wagediffs/swediffs-$waglvl-1998-cntrygrp.dta" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam-relaxed.dta"
               "$rootslct/Xdata/mneid-fortwoway-$waglvl-pt$par-af$aff-cf-nonparam-relaxed.dta"
       Tables: "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/byreg/selreg`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-nonparam-relaxed.log" */

* do $dp/translog-selct-2stp-bstrap-cf-nonparam-relaxed.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam-relaxed.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-nonparam-relaxed.log" */

* do $dp/tab-estmat-selct-cf-nonparam-relaxed.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/byreg/selreg`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/selreg_txt.tex"
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/selreg_apx1.tex"
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/selreg_apx2.tex"
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/selreg_apx3.tex"
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npr/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6npr/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

* do $dp/tab-sample-selct-cf.do
    /* Saves TeX tables of sample statistics */
    /* INPUT   "$rootslct/tex/`path'/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg_tbl" (where `path' in v6 v6np, and `usemissg' in 0 1) */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       TeX:    "$rootslct/tex/`path'/pt$par-af$aff-$waglvl-cf/summ.tex" (where `path' in v6 v6np, and `usemissg' in 0 1)
               "$rootslct/tex/`path'/pt$par-af$aff-$waglvl-cf/rsumm.tex" (where `path' in v6 v6np, and `usemissg' in 0 1)
               "$rootslct/tex/`path'/pt$par-af$aff-$waglvl-cf/summmeans.tex" (where `path' in v6 v6np, and `usemissg' in 0 1)
               "$rootslct/tex/`path'/pt$par-af$aff-$waglvl-cf/rsummmeans.tex" (where `path' in v6 v6np, and `usemissg' in 0 1) */

* do $dp/translog-selct-2stp-spectests-cf.do
    /* Runs specification tests for translog cost function estimation under two-step approach */
    /* INPUT   "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/probit-zgamma-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff.dta" */
    /* OUTPUT
       Data:   none 
       Tables: "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/ttzgamma.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/ttpresabs.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/byreg/ttepsi.dta"
       Log:    "$rootslct/logs/translog-selct-spectest-$waglvl-pt$par-af$aff.log" */

* do $dp/translog-selct-2stp-elasticities-cf.do
    /* Saves tables of elasticity point estimates */
    /* INPUT   "$rootslct/estmat/v6/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/translog`usemissg'_b_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/elast`usemissg'/elast`elsttyp'`usemissg'`wagabr'_tbl.dta" (where `usemissg' in 0 1 and `elsttyp' in Int Ext Tot, )
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/elast`usemissg'/eigenval`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/elast`usemissg'/aumat`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/elast`usemissg'/mori`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/elast`usemissg'/tfmori`elsttyp'`usemissg'`wagabr'_tbl.dta"
       Log:    "$rootslct/logs/translog-selct-elasticities-$waglvl-pt$par-af$aff-cf.log" */

* do $dp/translog-selct-2stp-elasticities-cf-nonparam.do
    /* Saves tables of elasticity point estimates */
    /* INPUT   "$rootslct/estmat/v6np/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6np/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/translog`usemissg'_b_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/elast`usemissg'/elast`elsttyp'`usemissg'`wagabr'_tbl.dta" (where `usemissg' in 0 1 and `elsttyp' in Int Ext Tot, )
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/elast`usemissg'/eigenval`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/elast`usemissg'/aumat`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/elast`usemissg'/mori`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6np/pt$par-af$aff-$waglvl-cf/elast`usemissg'/tfmori`elsttyp'`usemissg'`wagabr'_tbl.dta"
       Log:    "$rootslct/logs/translog-selct-elasticities-$waglvl-pt$par-af$aff-cf.log" */

* do $dp/translog-selct-2stp-elasticities-cf-nonparam-relaxed.do
    /* Saves tables of elasticity point estimates */
    /* INPUT   "$rootslct/estmat/v6npr/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npr/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/translog`usemissg'_b_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/elast`usemissg'/elast`elsttyp'`usemissg'`wagabr'_tbl.dta" (where `usemissg' in 0 1 and `elsttyp' in Int Ext Tot, )
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/elast`usemissg'/eigenval`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/elast`usemissg'/aumat`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/elast`usemissg'/mori`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6npr/pt$par-af$aff-$waglvl-cf/elast`usemissg'/tfmori`elsttyp'`usemissg'`wagabr'_tbl.dta"
       Log:    "$rootslct/logs/translog-selct-elasticities-$waglvl-pt$par-af$aff-cf-relaxed.log" */

* do $dp/translog-selct-2stp-cf-nonparam-relaxed-graph.do
    /* Graphs the marginal effects of wages on selection and labor demand from nonparametric estimation */
    /* INPUT   "$rootslct/Xdata/mneid-fortwoway-$waglvl-pt$par-af$aff-cf-nonparam.dta" */
    /* OUTPUT
       Graphs: "$rootslct/graphs/v6npr/pt$par-af$aff-cf/dpsc`r2dg'dw`w2dg'-ci.eps" (where `r2dg' and `w2dg' in HO CE DE OI WE)
               "$rootslct/graphs/v6npr/pt$par-af$aff-cf/dpsc`r2dg'dw`w2dg'.eps" (where `r2dg' and `w2dg' in HO CE DE OI WE)
               "$rootslct/graphs/v6npr/pt$par-af$aff-cf/dy`r2dg'dps`w2dg'-ci.eps" (where `r2dg' and `w2dg' in HO CE DE OI WE)
               "$rootslct/graphs/v6npr/pt$par-af$aff-cf/dy`r2dg'dps`w2dg'.eps" (where `r2dg' and `w2dg' in HO CE DE OI WE)
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-nonparam-relaxed-graph.log" */

global reglist "hm npr"
    do $dp/tab-estmat-translog-comp-cf.do
    /* Saves joint translog tables for Heckman and nonparametric regressions */
    /* INPUT   "$rootslct/tex/v6`ext'/pt$par-af$aff-$waglvl-cf/`elstld'elast`usemissg'_tbl.dta" (where `elstld' in int ext tot, and `usemissg' in 1 2) 
               "$rootslct/estmat/v6`ext'/pt$par-af$aff-$waglvl-cf/translog`usemissg'/eigval`usemissg'_tbl.dta" (where `ext' in "" and "np" and `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/cmptotelastw.tex"
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/cmpextelastw.tex"
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/cmpintelastw.tex"
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/cmpintelasty.tex"
               "$rootslct/tex/v6np/pt$par-af$aff-$waglvl-cf/translogcmp`usemissg'" (where `usemissg' in 0 1) */


* 3. REGRESSIONS ON POOLED GERMAN DATA OVER ALL YEARS FOR SELECTION PAPER (%44)
*------------------------------------------------------------------------------

global addlmne "indwest_par_${yrdiff}yrlg"
global addlsec "union_${yrdiff}yrlg imp_CEE_now exp_CEE_now impinp_CEE_now imp_DEV_now exp_DEV_now impinp_DEV_now imp_OIN_now exp_OIN_now impinp_OIN_now imp_WEU_now exp_WEU_now impinp_WEU_now"

global dp "$rootdo/%stata/%44selct-ger-reg-fs"

global howmany "1"
global waglvl "frmowwwage"
    do $dp/translog-selct-2stp-cf-allyrs.do
global howmany "1"
global waglvl "frmubswage"
    do $dp/translog-selct-2stp-cf-allyrs.do
global howmany "0 1"
global waglvl "frmunowage"
    do $dp/translog-selct-2stp-cf-allyrs.do
global howmany "1"
global aff "all"
    do $dp/translog-selct-2stp-cf-allyrs.do
    /* Estimates, on full sample (all years), translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs.dta" 
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/probit-zgamma-$waglvl-pt$par-af$aff.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff.dta"
       Tables: "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-allyrs.log" */
global howmany "1"
global aff "manf"

global howmany "1"
global waglvl "frmowwwage"
    do $dp/translog-selct-2stp-bstrap-cf-allyrs.do
global howmany "1"
global waglvl "frmubswage"
    do $dp/translog-selct-2stp-bstrap-cf-allyrs.do
global howmany "0 1"
global waglvl "frmunowage"
    do $dp/translog-selct-2stp-bstrap-cf-allyrs.do
global howmany "1"
global aff "all"
    do $dp/translog-selct-2stp-bstrap-cf-allyrs.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-allyrs.log" */
global howmany "1"
global aff "manf"

global howmany "1"
global waglvl "frmowwwage"
    do $dp/tab-estmat-selct-cf-allyrs.do
global howmany "1"
global waglvl "frmubswage"
    do $dp/tab-estmat-selct-cf-allyrs.do
global howmany "0 1"
global waglvl "frmunowage"
    do $dp/tab-estmat-selct-cf-allyrs.do
global howmany "1"
global aff "all"
    do $dp/tab-estmat-selct-cf-allyrs.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/sunkcost.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/probit_apx1.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/probit_apx2.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/probit_apx3.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/dprobit_apx1.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/dprobit_apx2.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/dprobit_apx3.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6fs/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */
global howmany "1"
global aff "manf"

global waglvl "frmunowage"
    do $dp/qic-selct-2stp-cf-allyrs.do
    /* Calculates Quasilikelihood Information Criterion (Pan 2001) for various error specifications */
    /* INPUT   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/qic`xvars'_tbl.dta" (where `xvars' in 3 4)
       Log:    "$rootslct/logs/qic-selct-2stp-$waglvl-pt$par-af$aff-cf-allyrs.log" */

global waglvl "frmunowage"
    do $dp/qic-selct-2stp-cf-nonparam-allyrs.do
    /* Calculates Quasilikelihood Information Criterion (Pan 2001) for various error specifications */
    /* INPUT   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/byreg/qic`xvars'_tbl.dta" (where `xvars' in 3 4)
       Log:    "$rootslct/logs/qic-selct-2stp-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.log" */

global waglvl "frmunowage"
    do $dp/crossval-selct-2stp-cf-nonparam-allyrs.do
    /* Estimates translog cost shares and elasticities under selection in a non-parametric two-step approach (Das, Newey, Vella 2003) */
    /* INPUT   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta" */
    /* DO      "$dp/!varsets-np.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/byreg/crossval_tbl.dta"
       Log:    "$rootslct/logs/crossval-selct-2stp-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.log" */

global waglvl "frmunowage"
* [inactive] do $dp/crossval-selct-2stp-cf-nonparam-allyrs-ar2.do
    /* Cross-validates selection estimation for non-parametric two-step approach (Das, Newey, Vella 2003) */
    /* INPUT   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta" */
    /* DO      "$dp/!varsets-np.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/byreg/crossval_tbl.dta"
       Log:    "$rootslct/logs/crossval-selct-2stp-$waglvl-pt$par-af$aff-cf-nonparam-allyrs-ar2.log" */

global waglvl "frmunowage"
    do $dp/crossval-sureg-2stp-cf-nonparam-allyrs.do
    /* Cross-validates translog cost shares estimation for non-parametric two-step approach (Das, Newey, Vella 2003) */
    /* INPUT   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta" */
    /* DO      "$dp/!varsets-np.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/byreg/crossvalsure_tbl.dta"
       Log:    "$rootslct/logs/crossval-sureg-2stp-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.log" */

global waglvl "frmunowage"
    do $dp/crossval-sureg-2stp-cf-nonparam-relaxed-allyrs.do
    /* Cross-validates translog cost shares estimation for relaxed non-parametric two-step approach (Das, Newey, Vella 2003) */
    /* INPUT   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta" */
    /* DO      "$dp/!varsets-np.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/byreg/crossvalsurgrelxd_tbl.dta"
       Log:    "$rootslct/logs/crossval-sureg-2stp-$waglvl-pt$par-af$aff-cf-nonparam-relaxed-allyrs.log" */

global waglvl "frmunowage"
    do $dp/translog-selct-2stp-cf-allyrs-vfdi.do
    /* Estimates, on full sample (all years), translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs-vfdi.dta" 
       Tables: "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-allyrs-vfdi.log" */

global waglvl "frmunowage"
    do $dp/translog-selct-2stp-bstrap-cf-allyrs-vfdi.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs-vfdi.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-allyrs-vfdi.log" */

global waglvl "frmunowage"
    do $dp/tab-estmat-selct-cf-allyrs-vfdi.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/sunkcost.tex"
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/probit_apx1.tex"
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/probit_apx2.tex"
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/probit_apx3.tex"
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/dprobit_apx1.tex"
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/dprobit_apx2.tex"
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/dprobit_apx3.tex"
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsvfdi/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6fsvfdi/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */
global howmany "1"

global waglvl "frmunowage"
    do $dp/translog-selct-2stp-cf-allyrs-hfdi.do
    /* Estimates, on full sample (all years), translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs-hfdi.dta" 
       Tables: "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-allyrs-hfdi.log" */

global waglvl "frmunowage"
    do $dp/translog-selct-2stp-bstrap-cf-allyrs-hfdi.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs-hfdi.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-allyrs-hfdi.log" */

global waglvl "frmunowage"
    do $dp/tab-estmat-selct-cf-allyrs-hfdi.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/sunkcost.tex"
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/probit_apx1.tex"
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/probit_apx2.tex"
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/probit_apx3.tex"
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/dprobit_apx1.tex"
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/dprobit_apx2.tex"
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/dprobit_apx3.tex"
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fshfdi/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6fshfdi/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */
global howmany "1"

global waglvl "frmunowage"
* do $dp/translog-selct-2stp-cf-allyrs-dyrs.do
    /* Estimates, on full sample (all years), translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs-dyrs.dta" 
       Tables: "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-allyrs-dyrs.log" */

global waglvl "frmunowage"
* do $dp/translog-selct-2stp-bstrap-cf-allyrs-dyrs.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs-dyrs.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-allyrs-dyrs.log" */

* do $dp/tab-estmat-selct-cf-allyrs-dyrs.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/sunkcost.tex"
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/probit_apx1.tex"
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/probit_apx2.tex"
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/probit_apx3.tex"
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/dprobit_apx1.tex"
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/dprobit_apx2.tex"
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/dprobit_apx3.tex"
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsdyr/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6fsdyr/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */
global howmany "1"

global waglvl "frmunowage"
    do $dp/translog-selct-2stp-cf-allyrs-ar2.do
    /* Estimates, on full sample (all years), translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs-ar2.dta" 
       Tables: "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-allyrs-ar2.log" */

global waglvl "frmunowage"
    do $dp/translog-selct-2stp-bstrap-cf-allyrs-ar2.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs-ar2.dta" */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-allyrs-ar2.log" */

global waglvl "frmunowage"
    do $dp/tab-estmat-selct-cf-allyrs-ar2.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fsar2/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6fsar2/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */
global howmany "1"

global waglvl "frmowwwage"
    do $dp/translog-selct-2stp-cf-nonparam-allyrs.do
global waglvl "frmunowage"
    do $dp/translog-selct-2stp-cf-nonparam-allyrs.do
    /* Estimates translog cost shares and elasticities under selection in a non-parametric two-step approach (Das, Newey, Vella 2003) */
    /* INPUT   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta" */
    /* DO      "$dp/!varsets-np.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.dta"
               "$rootslct/Xdata/mneid-fortwoway-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.dta"
       Tables: "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/byreg/selreg`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg`r2dg'.tex" (where `r2dg' in "" CE DE OI WE)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.log" */

global waglvl "frmowwwage"
    do $dp/translog-selct-2stp-bstrap-cf-nonparam-allyrs.do
global waglvl "frmunowage"
    do $dp/translog-selct-2stp-bstrap-cf-nonparam-allyrs.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.dta" */
    /* DO      "$dp/!varsets-np.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-nonparam-allyrs.log" */

global waglvl "frmowwwage"
    do $dp/tab-estmat-selct-cf-nonparam-allyrs.do
global waglvl "frmunowage"
    do $dp/tab-estmat-selct-cf-nonparam-allyrs.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/byreg/selreg`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/selreg_txt.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/selreg_apx1.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/selreg_apx2.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/selreg_apx3.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6npfs/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

global waglvl "frmunowage"
    do $dp/translog-selct-2stp-cf-nonparam-allyrs-poly2.do
    /* Estimates translog cost shares and elasticities under selection in a non-parametric two-step approach (Das, Newey, Vella 2003) */
    /* INPUT   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta" */
    /* DO      "$dp/!varsets-np.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam-allyrs-poly2.dta"
               "$rootslct/Xdata/mneid-fortwoway-$waglvl-pt$par-af$aff-cf-nonparam-allyrs-poly2.dta"
       Tables: "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/byreg/selreg`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/summ_translog`usemissg'_missg`r2dg'.tex" (where `r2dg' in "" CE DE OI WE)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-nonparam-allyrs-poly2.log" */

global waglvl "frmunowage"
    do $dp/translog-selct-2stp-bstrap-cf-nonparam-allyrs-poly2.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam-allyrs-poly2.dta" */
    /* DO      "$dp/!varsets-np.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-nonparam-allyrs-poly2.log" */

global waglvl "frmunowage"
    do $dp/tab-estmat-selct-cf-nonparam-allyrs-poly2.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/byreg/selreg`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/selreg_txt.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/selreg_apx1.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/selreg_apx2.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/selreg_apx3.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf-poly2/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6npfs/pt$par-af$aff-cf-poly2/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

global waglvl "frmunowage"
* do $dp/translog-selct-2stp-cf-nonparam-allyrs-ar2.do
    /* Estimates translog cost shares and elasticities under selection in a non-parametric two-step approach (Das, Newey, Vella 2003) */
    /* INPUT   "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta" */
    /* DO      "$dp/!varsets-np.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.dta"
               "$rootslct/Xdata/mneid-fortwoway-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.dta"
       Tables: "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/byreg/selreg`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg`r2dg'.tex" (where `r2dg' in "" CE DE OI WE)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-nonparam-allyrs-ar2.log" */

global waglvl "frmunowage"
* do $dp/translog-selct-2stp-bstrap-cf-nonparam-allyrs-ar2.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.dta" */
    /* DO      "$dp/!varsets-np-ar2.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-nonparam-allyrs-ar2.log" */

global waglvl "frmunowage"
* do $dp/tab-estmat-selct-cf-nonparam-allyrs-ar2.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/byreg/selreg`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/selreg_txt.tex"
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/selreg_apx1.tex"
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/selreg_apx2.tex"
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/selreg_apx3.tex"
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6npfsar2/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6npfsar2/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

global waglvl "frmunowage"
    do $dp/translog-selct-2stp-cf-nonparam-relaxed-allyrs.do
    /* Estimates translog cost shares and elasticities under selection in a non-parametric two-step approach (Das, Newey, Vella 2003) */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* DO      "$dp/!varsets-np.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.dta"
               "$rootslct/Xdata/mneid-fortwoway-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.dta"
       Tables: "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/byreg/selreg`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-nonparam-allyrs.log" */

global waglvl "frmunowage"
    do $dp/translog-selct-2stp-bstrap-cf-nonparam-relaxed-allyrs.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-nonparam-relaxed-allyrs.dta" */
    /* DO      "$dp/!varsets-np.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-nonparam-relaxed-allyrs.log" */

global waglvl "frmunowage"
    do $dp/tab-estmat-selct-cf-nonparam-relaxed-allyrs.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/selreg_txt.tex"
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/selreg_apx1.tex"
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/selreg_apx2.tex"
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/selreg_apx3.tex"
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6nprfs/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6nprfs/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

global waglvl "frmowwwage"
* [inactive] do $dp/tab-sample-selct-cf-allyrs.do
global waglvl "frmubswage"
* [inactive] do $dp/tab-sample-selct-cf-allyrs.do
global waglvl "frmunowage"
    do $dp/tab-sample-selct-cf-allyrs.do
    /* Saves TeX tables of sample statistics */
    /* INPUT   "$rootslct/tex/`path'/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg`r2dg'_tbl" (where `path' in v6fs v6npfs v6nprfs, `usemissg' in 0 1, and `r2dg' in "" CE DE OI WE) */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       TeX:    "$rootslct/tex/`path'/pt$par-af$aff-$waglvl-cf/summ.tex" (where `path' in v6fs v6npfs v6nprfs, and `usemissg' in 0 1)
               "$rootslct/tex/`path'/pt$par-af$aff-$waglvl-cf/rsumm.tex" (where `path' in v6fs v6npfs v6nprfs, and `usemissg' in 0 1)
               "$rootslct/tex/`path'/pt$par-af$aff-$waglvl-cf/summmeans.tex" (where `path' in v6fs v6npfs v6nprfs, and `usemissg' in 0 1)
               "$rootslct/tex/`path'/pt$par-af$aff-$waglvl-cf/rsummmeans.tex" (where `path' in v6fs v6npfs v6nprfs, and `usemissg' in 0 1) */

global waglvl "frmowwwage"
* do $dp/translog-selct-2stp-spectests-cf-allyrs.do
global waglvl "frmubswage"
* do $dp/translog-selct-2stp-spectests-cf-allyrs.do
global waglvl "frmunowage"
    do $dp/translog-selct-2stp-spectests-cf-allyrs.do
    /* Runs specification tests for translog cost function estimation under two-step approach */
    /* INPUT   "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/probit-zgamma-$waglvl-pt$par-af$aff.dta" 
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff.dta" */
    /* OUTPUT
       Data:   none 
       Tables: "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/ttzgamma.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/ttpresabs.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/ttepsi.dta"
       Log:    "$rootslct/logs/translog-selct-spectest-$waglvl-pt$par-af$aff-allyrs.log" */

global waglvl "frmowwwage" /* (`wagabr' oww) */
* do $dp/translog-selct-2stp-elasticities-cf-allyrs.do
global waglvl "frmubswage" /* (`wagabr' ubs) */
* do $dp/translog-selct-2stp-elasticities-cf-allyrs.do
global waglvl "frmunowage" /* (`wagabr' uno) */
* do $dp/translog-selct-2stp-elasticities-cf-allyrs.do
    /* Saves tables of elasticity point estimates */
    /* INPUT   "$rootslct/estmat/v6fs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/translog`usemissg'_b_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/elast`elsttyp'`usemissg'`wagabr'_tbl.dta" (where `usemissg' in 0 1 and `elsttyp' in Int Ext Tot, )
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/eigenval`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/aumat`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/mori`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/tfmori`elsttyp'`usemissg'`wagabr'_tbl.dta"
       Log:    "$rootslct/logs/translog-selct-elasticities-$waglvl-pt$par-af$aff-cf-allyrs.log" */

global waglvl "frmunowage" /* (`wagabr' uno) */
* do $dp/translog-selct-2stp-elasticities-cf-nonparam-allyrs.do
    /* Saves tables of elasticity point estimates */
    /* INPUT   "$rootslct/estmat/v6npfs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/translog`usemissg'_b_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/elast`elsttyp'`usemissg'`wagabr'_tbl.dta" (where `usemissg' in 0 1 and `elsttyp' in Int Ext Tot, )
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/eigenval`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/aumat`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/mori`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/tfmori`elsttyp'`usemissg'`wagabr'_tbl.dta"
       Log:    "$rootslct/logs/translog-selct-elasticities-$waglvl-pt$par-af$aff-cf-allyrs.log" */

global waglvl "frmunowage" /* (`wagabr' uno) */
* do $dp/translog-selct-2stp-elasticities-cf-nonparam-relaxed-allyrs.do
    /* Saves tables of elasticity point estimates */
    /* INPUT   "$rootslct/estmat/v6nprfs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/translog`usemissg'_b_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-`waglvl'-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/elast`elsttyp'`usemissg'`wagabr'_tbl.dta" (where `usemissg' in 0 1 and `elsttyp' in Int Ext Tot, )
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/eigenval`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/aumat`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/mori`elsttyp'`usemissg'`wagabr'_tbl.dta"
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/elast`usemissg'/tfmori`elsttyp'`usemissg'`wagabr'_tbl.dta"
       Log:    "$rootslct/logs/translog-selct-elasticities-$waglvl-pt$par-af$aff-cf-allyrs.log" */

global waglvl ""
* do $dp/tab-estmat-selct-eigvalcomp-cf-allyrs.do
    /* Saves TeX comparison table on eigenvalues across wagelvl types */
    /* INPUT   "$rootslct/tex/v6fs/pt$par-af$aff-`waglvl'-cf/eigval`usemissg'_tbl.dta" (where `waglvl' in frmowwwage frmubswage frmunowage, and `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6fs/eigvalcomp/eigvalcomp`usemissg'pt${par}af${aff}.tex" (where `usemissg' in 0 1) */

global waglvl ""
* do $dp/tab-estmat-selct-eigvalcomp-cf-nonparam-allyrs.do
    /* Saves TeX comparison table on eigenvalues across wagelvl types */
    /* INPUT   "$rootslct/tex/v6npfs/pt$par-af$aff-`waglvl'-cf/eigval`usemissg'_tbl.dta" (where `waglvl' in frmunowage, and `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6npfs/eigvalcomp/eigvalcomp`usemissg'pt${par}af${aff}.tex" (where `usemissg' in 0 1) */

global waglvl ""
* do $dp/tab-estmat-selct-eigvalcomp-cf-nonparam-relaxed-allyrs.do
    /* Saves TeX comparison table on eigenvalues across wagelvl types */
    /* INPUT   "$rootslct/tex/v6nprfs/pt$par-af$aff-`waglvl'-cf/eigval`usemissg'_tbl.dta" (where `waglvl' in frmunowage, and `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6nprfs/eigvalcomp/eigvalcomp`usemissg'pt${par}af${aff}.tex" (where `usemissg' in 0 1) */

global waglvl "frmunowage"
* do $dp/translog-selct-2stp-cf-nonparam-relaxed-graph-allyrs.do
    /* Graphs the marginal effects of wages on selection and labor demand from nonparametric estimation */
    /* INPUT   "$rootslct/Xdata/mneid-fortwoway-$waglvl-pt$par-af$aff-cf-nonparam-relaxed-allyrs.dta" */
    /* OUTPUT
       Graphs: "$rootslct/graphs/v6nprfs/pt$par-af$aff-cf/dpsc`r2dg'dw`w2dg'-ci.eps" (where `r2dg' and `w2dg' in HO CE DE OI WE)
               "$rootslct/graphs/v6nprfs/pt$par-af$aff-cf/dpsc`r2dg'dw`w2dg'.eps" (where `r2dg' and `w2dg' in HO CE DE OI WE)
               "$rootslct/graphs/v6nprfs/pt$par-af$aff-cf/dy`r2dg'dps`w2dg'-ci.eps" (where `r2dg' and `w2dg' in HO CE DE OI WE)
               "$rootslct/graphs/v6nprfs/pt$par-af$aff-cf/dy`r2dg'dps`w2dg'.eps" (where `r2dg' and `w2dg' in HO CE DE OI WE)
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-nonparam-relaxed-graph-allyrs.log" */

global howmany "1"
global reglist "hm"  // ("hm np npr")
global waglvl "frmowwwage"
    do $dp/tab-estmat-translog-comp-cf-allyrs.do
global howmany "1"
global reglist "hm"  // inactive ("hm np npr")
global waglvl "frmubswage"
* [inactive] do $dp/tab-estmat-translog-comp-cf-allyrs.do
global howmany "1 0"
global reglist "hm np npr ar2"  // ("hm np npr ar2")
global waglvl "frmunowage"
    do $dp/tab-estmat-translog-comp-cf-allyrs.do
    /* Saves joint translog tables for Heckman and nonparametric regressions */
    /* INPUT   "$rootslct/tex/v6`ext'fs/pt$par-af$aff-$waglvl-cf/`elstld'elast`usemissg'_tbl.dta" (where `elstld' in int ext tot, and `usemissg' in 1 2) 
               "$rootslct/estmat/v6`ext'fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/eigval`usemissg'_tbl.dta" (where `ext' in "" and "np" and `usemissg' in 0 1) 
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/qic`xvars'_tbl.dta" (where `xvars' in 3 4)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/byreg/qic`xvars'_tbl.dta" (where `xvars' in 3 4)
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/byreg/crossval_tbl.dta"
               "$rootslct/estmat/v6npfs/pt$par-af$aff-$waglvl-cf/byreg/crossvalsure_tbl.dta" 
               "$rootslct/estmat/v6nprfs/pt$par-af$aff-$waglvl-cf/byreg/crossvalsurgrelxd_tbl.dta" */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/cmptotelastw.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/cmpextelastw.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/cmpintelastw.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/cmpintelasty.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/translogcmp`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/qicfs.tex"
               "$rootslct/tex/v6npfs/pt$par-af$aff-$waglvl-cf/comp_qiccvnp.tex" */
global howmany "1"

global waglvl "frmowwwage"
* do $dp/translog-uncorrected-cf-allyrs.do
global waglvl "frmunowage"
    do $dp/translog-uncorrected-cf-allyrs.do
global aff "all"
    do $dp/translog-uncorrected-cf-allyrs.do
    /* Translog estimates, on full sample (all years), without selection correction */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
       TeX:    "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-$waglvl-pt$par-af$aff-uncorrected-cf-allyrs.log" */
global aff "manf"

global waglvl "frmowwwage"
* do $dp/translog-uncorrected-bstrap-cf-allyrs.do
global waglvl "frmunowage"
    do $dp/translog-uncorrected-bstrap-cf-allyrs.do
global aff "all"
    do $dp/translog-uncorrected-bstrap-cf-allyrs.do
    /* Bootstraps the estimates of translog cost shares and elasticities */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-uncorrected-bstrap-pt$par-af$aff-$waglvl-allyrs.log" */
global aff "manf"

global waglvl "frmowwwage"
* do $dp/tab-estmat-uncorrected-cf-allyrs.do
global waglvl "frmunowage"
    do $dp/tab-estmat-uncorrected-cf-allyrs.do
global aff "all"
    do $dp/tab-estmat-uncorrected-cf-allyrs.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 1, and `type' in b se e r)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/intelast`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/extelast`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/totelast`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/intmori`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/extmori`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/totmori`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/eigval`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/possharcnt`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/elastsum`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 1) 
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/compelast`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/compmori`usemissg'.tex" (where `usemissg' in 1) 
       Graphs: "$rootslct/graphs/v6fs/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-uncorrected-cf.eps" (where `usemissg' in 1) */
global aff "manf"
global howmany "1"


* 4. SUMMARIZE AND GRAPH GERMAN AND SWEDISH DATA AND RESULTS (%45)
*-----------------------------------------------------------------

global dp "$rootdo/%stata/%45selct-ger&swe-tab"

global waglvl ""
    do $dp/#regagg-ger.do
    /* Regional employment aggregates, predicted home employment */
    /* INPUT   "$rootslct/Xdata/affils-fdiall-ustan-00-plaineur.dta"
               "$root/conc/cntry2bemgrp.dta" 
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/fdi-iso-country.dta" */
    /* DO      "$dpref/#sector-definitions.do"
               "$dpref/#sector-country-resetting.do" */
    /* OUTPUT
       Data:   "$rootslct/tex/desc/pt$par-af$aff/employment-population-`year'.dta" (`year' in 2000)
               "$rootslct/tex/desc/pt$par-af$aff/employment-transf-population-`year'.dta" (`year' in 2000)
       Log:    "$rootslct/logs/regagg-pt$par-af$aff-ger.log" */

global waglvl "frmunowage" /* for file reference mvprobit-outwfdi only */
    do $dp/#reg-smpl-pattern-ger.do
    /* Regional presence patterns in the sample (in contrast to the population in tex/pop/pt$par-af$aff from %40/#reg-pop-pattern-ger.do) */
    /* INPUT   "$rootslct/Xdata/affils-fdi-ustan-96&00-plaineur.dta"
               "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff.dta"
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-2000-$waglvl-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-wwlocvars-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-costothr-frmowwwage-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-1996-translog-frmowwwage-pt$par-af$aff.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-2000-translog-frmowwwage-pt$par-af$aff.dta" */
    /* OUTPUT
       TeX:    "$rootslct/tex/desc/pt$par-af$aff/summ_del_naff.tex"   
               "$rootslct/tex/desc/pt$par-af$aff/summ_del_naff96.tex"
               "$rootslct/tex/desc/pt$par-af$aff/summ_del_naff00.tex"
               "$rootslct/tex/desc/pt$par-af$aff/delnaff.tex"
               "$rootslct/tex/desc/pt$par-af$aff/pattern96.tex"
               "$rootslct/tex/desc/pt$par-af$aff/pattern00.tex"
               "$rootslct/tex/desc/pt$par-af$aff/countries_compl.tex"
               "$rootslct/tex/desc/pt$par-af$aff/countries.tex"
       Log:    "$rootslct/logs/reg-pattern-pt$par-af$aff-ger.log" */

global waglvl ""
    do $dp/#tot-attrition-ger.do
    /* Patterns of regional presence in samples and population */
    /* INPUT   "$root/Xdata/affils-outwfdi96-01-eur-03mar2006.dta"
               "$root/Xustan/ustan-compl-03mar2006.dta" 
               "$root/Xmatch/affils-fdiall-ustan-96-01-eur-03mar2006.dta"
               "$rootslct/Xdata/affils-fdi-ustan-96&00-plaineur.dta" */
    /* OUTPUT
       Log:    "$rootslct/logs/tot-attrition-ger.log" */

global waglvl ""
    do $dp/#comp-mat-ger-cf.do
    /* Comparison TeX tables across wage variables and foreign affiliate types */
    /* INPUT   "$rootslct/tex/v6fs/pt$par-af$aff-frmowwwage-cf/intelast`usemissg'_tbl.dta"
               "$rootslct/tex/v6fs/pt$par-af$aff-frmunowage-cf/intelast`usemissg'_tbl.dta" */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6fs/compmanfowwuno`usemissg'.tex" 
       Log:    "$rootslct/logs/comp-mat-ger-cf.log" */

global waglvl "frmunowage"
* [inactive] do $dp/#comp-elast-ger-cf.do
    /* Comparison TeX tables across wage variables and foreign affiliate types */
    /* INPUT   "$rootslct/tex/`path'/pt$par-af$aff-frm`wag'wage-cf/cmp`mat'elastw_tbl" (where `mat' in int ext, `wag' in uno, `path' in v6np v6npfs) 
               "$rootslct/tex/`path'/pt$par-af$aff-frm`wag'wage-cf/cmp`mat'elasty_tbl" (where `mat' in int ext, `wag' in uno, `path' in v6np v6npfs) 
               "$rootslct/tex/v6fs/pt$par-af$aff-frm`wag'wage-cf/intelast`usemissg'_tbl" (where `usemissg' in 1, `wag' in uno)
               "$rootslct/tex/v6fs/pt$par-af$aff-frm`wag'wage-uncorrected-cf/intelast`usemissg'_tbl" (where `usemissg' in 1, `wag' in uno) */
    /* OUTPUT
       TeX:    "$rootslct/tex/comp/pt$par-af$aff-cf/cmp`mat'w.tex" (where `mat' in int`wag' ext`wag', `wag' in uno)
               "$rootslct/tex/comp/pt$par-af$aff-cf/cmp`mat'y.tex" (where `mat' in int`wag' ext`wag', `wag' in uno)
               "$rootslct/tex/comp/pt$par-af$aff-frm`wag'wage-uncorrected-cf/uncorr`usemissg'_reldiff.tex" (where `usemissg' in 1, `wag' in uno)
       Log:    "$rootslct/logs/comp-elast-ger-cf.log" */

global sample "v6fs"
global waglvl "frmunowage" /* (`wagabr' uno) */
    do $dp/#counterfact-ger-cf.do
    /* Counterfactual evaluations Germany */
    /* INPUT   "$rootslct/tex/desc/wagediffs/diffsger00-$waglvl.dta"
               "$rootslct/tex/desc/pt$par-af$aff/employment-transf-population-2000.dta" 
               "$rootslct/tex/$sample/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/tex/$sample/pt$par-af$aff-$waglvl-cf/intelast`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/tex/$sample/pt$par-af$aff-$waglvl-cf/totelast`usemissg'_tbl.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/desc/wagediffs/wdiff`wagabr'ger00.tex"
               "$rootslct/tex/desc/pt$par-af$aff/emplgerpop.tex"
               "$rootslct/tex/$sample/pt$par-af$aff-$waglvl-cf/intelastgerpop`usemissg'.tex" (`usemissg' in 0 1) 
               "$rootslct/tex/$sample/pt$par-af$aff-$waglvl-cf/totelastgerpop`usemissg'.tex" (`usemissg' in 0 1)
               "$rootslct/tex/$sample/pt$par-af$aff-$waglvl-cf/intdsplgerpop`usemissg'.tex" (`usemissg' in 0 1) 
               "$rootslct/tex/$sample/pt$par-af$aff-$waglvl-cf/totdsplgerpop`usemissg'.tex" (`usemissg' in 0 1)  
               "$rootslct/tex/$sample/pt$par-af$aff-$waglvl-cf/elastgerpop`usemissg'.tex" (`usemissg' in 0 1)
               "$rootslct/tex/$sample/pt$par-af$aff-$waglvl-cf/dsplgerpop`usemissg'.tex" (`usemissg' in 0 1)
       Log:    "$rootslct/logs/counterfact-ger-cf.log" */


* 5. AER R&R ESTIMATION AND FIRM-LEVEL REPLICATION OF CAFEGE IDEAS (%46)
*-----------------------------------------------------------------------

global waglvl "frmunowage"
global method "impfillin"
global howmany "1"

global dp "$rootdo/%stata/%46selct-aerrr"
global dpref "$rootdo/%stata/%40selct-ger-prep"
global dpfsref "$rootdo/%stata/%44selct-ger-reg-fs"

    do $dp/#unctad-ilo-comp.do
    /* Compares BuBa affiliate information to UNCTAD and UNIDO aggregates; tabulates BuBa data by affiliate sector */
    /* INPUT   "$root/Xdata/undefl-outwfdi96-01-dem.dta"
               "$root/conc/country-table.dta" (%00/buba-land.do)
               "$root/conc/cntry2bemgrp.dta"
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/secfix.csv"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/sector-conc-aggbem.dta"
               "$root/outdata/usd-eur-exchr.dta" (%00/usd-dem-exchr.do)
               "$root/countries/unctad-oecd-fdiagg.dta" (%00/unctad-oecd-fdi.do)
               "$root/countries/ilo-1998-2007.dta" (%00/ilo.do) */
    /* DO      "$dpref/#sector-definitions.do"
               "$dpref/#sector-country-resetting.do"
               "$root/conc/enbubalo05.do"
               "$root/conc/secbem.do" */
    /* OUTPUT
       TeX:    "$rootslct/tex/pop/ptmanf-afmanf/mktshares.tex"
               "$rootslct/tex/pop/ptmanf-afmanf/mktshares_frm.tex"
               "$rootslct/tex/pop/ptmanf-afmanf/mktshares_ger.tex"
               "$rootslct/tex/pop/ptmanf-afmanf/mktshares_all.tex"
               "$rootslct/tex/pop/ptmanf-afall/aggcnt_affil.tex"
               "$rootslct/tex/pop/ptmanf-afall/cnt_affil.tex"
               "$rootslct/tex/pop/ptmanf-afall/aggcnt_affil_cee.tex"
               "$rootslct/tex/pop/ptmanf-afall/cnt_affil_cee.tex"
               "$rootslct/tex/pop/ptmanf-afall/aggsum_empl.tex"
               "$rootslct/tex/pop/ptmanf-afall/sum_empl.tex"
               "$rootslct/tex/pop/ptmanf-afall/aggsum_empl_cee.tex"
               "$rootslct/tex/pop/ptmanf-afall/sum_empl_cee.tex"
       Log:    "logs/unctad-ilo-comp-pt$par-af$aff.log" */

global aff "all"
    do $dp/translog-uncorrected-selct2stp-bstrap-cf-allyrs.do
global aff "manf"
    do $dp/translog-uncorrected-selct2stp-bstrap-cf-allyrs.do
    /* Bootstraps simultaneously elasticity estimates under uncorrected and selectivity-corrected ISUR */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs.dta" */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorr-selct2stp-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 1)
       Log:    "$rootslct/logs/translog-uncorr-selct2stp-bstrap-pt$par-af$aff-$waglvl-allyrs.log" */

global aff "all"
    do $dp/tab-estmat-uncorrected-selct2stp-cf-allyrs.do
global aff "manf"
    do $dp/tab-estmat-uncorrected-selct2stp-cf-allyrs.do
    /* Performs corrected and uncorrected estimation; saves TeX tables of elasticity estimates with bootstrapped standard errors */
    /* INPUT   "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-uncorr-selct2stp-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorrected-cf/intelast`usemissg'_tbl.dta" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/intelast`usemissg'_tbl.dta" (where `usemissg' in 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorr-selct2stp-cf/intelast`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorr-selct2stp-cf/extelast`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorr-selct2stp-cf/totelast`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-uncorr-selct2stp-cf/uncorr`usemissg'_aerrr.tex" (where `usemissg' in 1) */

    do $dp/reg-as-konings-marin-allyrs.do
    /* Runs single home employment regression as Konings-Murphy (2006), Marin (2004) */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6kmfs/pt$par-af$aff-$waglvl-cf/regkm_`type'.dta" (where `type' in b se e)
               "$rootslct/tex/v6kmfs/pt$par-af$aff-$waglvl-cf/regkm_tbl.dta" 
       Log:    "$rootslct/logs/reg-as-konings-marin-$waglvl-pt$par-af$aff-cf-allyrs.log" */

    do $dp/translog-plainreg-cf.do
    /* Translog estimates, on full sample (all years), without selection correction */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
       TeX:    "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-$waglvl-pt$par-af$aff-plainreg-cf.log" */

    do $dp/translog-plainreg-bstrap-cf.do
    /* Bootstraps the estimates of translog cost shares and elasticities */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-allyrs.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-plainreg-bstrap-pt$par-af$aff-$waglvl.log" */

    do $dp/tab-estmat-plainreg-cf.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 1, and `type' in b se e r)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 1)
               "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/translog`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/intelast`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/extelast`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/totelast`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/intmori`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/extmori`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/totmori`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/eigval`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/possharcnt`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/elastsum`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 1) 
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/compelast`usemissg'.tex" (where `usemissg' in 1)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-plainreg-cf/compmori`usemissg'.tex" (where `usemissg' in 1) 
       Graphs: "$rootslct/graphs/v6fs/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-plainreg-cf.eps" (where `usemissg' in 1) */

    do $dp/translog-selct-2stp-cf-fe.do
    /* Estimates, on full sample (all years), translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-fe.dta" 
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/byreg/probit-zgamma-$waglvl-pt$par-af$aff.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff.dta"
       Tables: "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-fe.log" */

    do $dp/translog-selct-2stp-bstrap-cf-fe.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-fe.dta" */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-fe.log" */

    do $dp/tab-estmat-selct-cf-fe.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/sunkcost.tex"
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/probit_apx1.tex"
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/probit_apx2.tex"
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/probit_apx3.tex"
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/dprobit_apx1.tex"
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/dprobit_apx2.tex"
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/dprobit_apx3.tex"
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6fefs/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6fefs/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

    do $dp/translog-selct-2stp-cf-lagempl.do
    /* Estimates, on full sample (all years), translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-lagempl.dta" 
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/byreg/probit-zgamma-$waglvl-pt$par-af$aff.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff.dta"
       Tables: "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-lagempl.log" */

    do $dp/translog-selct-2stp-bstrap-cf-lagempl.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-lagempl.dta" */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-lagempl.log" */

    do $dp/tab-estmat-selct-cf-lagempl.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/sunkcost.tex"
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/probit_apx1.tex"
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/probit_apx2.tex"
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/probit_apx3.tex"
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/dprobit_apx1.tex"
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/dprobit_apx2.tex"
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/dprobit_apx3.tex"
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6lgefs/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6lgefs/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

* do $dp/translog-selct-2stp-cf-leadoutput.do
    /* Estimates, on full sample (all years), translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-leadoutput.dta" 
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/byreg/probit-zgamma-$waglvl-pt$par-af$aff.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff.dta"
       Tables: "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-leadoutput.log" */

* do $dp/translog-selct-2stp-bstrap-cf-leadoutput.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-leadoutput.dta" */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-leadoutput.log" */

* do $dp/tab-estmat-selct-cf-leadoutput.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/sunkcost.tex"
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/probit_apx1.tex"
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/probit_apx2.tex"
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/probit_apx3.tex"
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/dprobit_apx1.tex"
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/dprobit_apx2.tex"
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/dprobit_apx3.tex"
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6ldxfs/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6ldxfs/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

    do $dp/translog-selct-2stp-cf-wprem.do
    /* Estimates, on full sample (all years), translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-wprem.dta" 
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/byreg/probit-zgamma-$waglvl-pt$par-af$aff.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff.dta"
       Tables: "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-wprem.log" */

    do $dp/translog-selct-2stp-bstrap-cf-wprem.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-wprem.dta" */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-wprem.log" */

    do $dp/tab-estmat-selct-cf-wprem.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/sunkcost.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/probit_apx1.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/probit_apx2.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/probit_apx3.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/dprobit_apx1.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/dprobit_apx2.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/dprobit_apx3.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6wpremfs/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

* do $dp/translog-selct-2stp-cf-wagelag2.do
    /* Estimates, on full sample (all years), translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta" */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-wagelag2.dta" 
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/byreg/probit-zgamma-$waglvl-pt$par-af$aff.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff.dta"
       Tables: "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-wagelag2.log" */

* do $dp/translog-selct-2stp-bstrap-cf-wagelag2.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-wagelag2.dta" */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-wagelag2.log" */

* do $dp/tab-estmat-selct-cf-wagelag2.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/sunkcost.tex"
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/probit_apx1.tex"
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/probit_apx2.tex"
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/probit_apx3.tex"
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/dprobit_apx1.tex"
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/dprobit_apx2.tex"
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/dprobit_apx3.tex"
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6wlg2fs/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6wlg2fs/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

* do $dp/wage-process-asinprobit-allyrs.do
    /* Estimates, on full sample (all years), wage process similar to first-stage probit estimation */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-`selyear'-costothr-$waglvl-pt$par-af$aff.dta" (`selyear' in 1998 1999) */
    /* DO      "$dp/!varsets.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/wageproc`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/wageproc.dta"
               "$rootslct/tex/v6fs/pt$par-af$aff-$waglvl-cf/wageproc_dprbt.dta"
       Log:    "$rootslct/logs/wage-process-asinprobit-pt$par-af$aff-$waglvl-allyrs.log" */

global reglist "wpremfs lgefs ldxfs fefs"
    do $dp/tab-estmat-translog-comp-cf-aerrr.do
    /* Saves joint translog tables for AER resubmission regressions */
    /* INPUT   "$rootslct/tex/v6`ext'fs/pt$par-af$aff-$waglvl-cf/`elstld'elast`usemissg'_tbl.dta" (where `elstld' in int ext tot, and `usemissg' in 1 2) 
               "$rootslct/estmat/v6`ext'fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/eigval`usemissg'_tbl.dta" (where `ext' in "" and "np" and `usemissg' in 0 1) */
    /* OUTPUT
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/cmpextelastw.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/cmpintelastw.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/cmpintelasty.tex"
               "$rootslct/tex/v6wpremfs/pt$par-af$aff-$waglvl-cf/translogcmp`usemissg'.tex" (where `usemissg' in 0 1) */

    do $dp/prep-mvprobit-med-wagediff-quarts.do
    /* Prepares parent-region level data for (mv)probit estimates (years 1998 1999 2000 2001)*/
    /* INPUT   "$rootslct/Xdata/ustan-compl-plaineur.dta"
               "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff-allyrs.dta"
               "$rootslct/tex/desc/quarts/$waglvl-quartiles.dta"
               "$root/Xmatch/affils-fdiall-ustan-96-01-eur-03mar2006.dta"
               "$root/countries/extdata-deflated.dta"
               "$root/wages/destatis-gearn-defl.dta"
               "$root/wages/owwdata-country-`year'.dta" (where `year' in 1996 1997 1998 1999)
               "$root/wages/ubs-data-1996-2001-defl-interpolated.dta"
               "$root/wages/unido-wages-defl-1996-2001.dta"
               "$root/wages/swewages.dta"
               "$root/wages/union_sec_bem.dta"
               "$root/trade/ger-impinp-exp-secbem-ctrygrp-2000.dta"
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/nace2bem.dta"
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/unido-industries.csv"
               "$rootslct/tex/desc/quarts/$waglvl-quartiles.dta"
               "$rootslct/tex/desc/quarts/$waglvl-quartiles" */
    /* DO      "$dp/#wage-diff-$waglvl-quarts.do"
               "$dpref/#translog-owwwages.do"
               "$dpref/#translog-ubswages.do"
               "$dpref/#translog-unowages.do"
               "$dpref/#parinfo-probit.do"
               "$dpref/#addlvars.do"
               "$root/conc/secbem.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mvprobit-outwfdi-ustan-`tlogyear'd$yrdiff-$waglvl-pt$par-af$aff-quarts.dta" (where `tlogyear' in 1998 1999 2000 2001)
               "$rootslct/tex/desc/wagediffs/diffsger`yr'd$yrdiff-$waglvl-quarts.dta" (where `yr' in 98 99 00 01)
       Log:    "$rootslct/logs/mvprobit-prepare-selct-$waglvl-pt$par-af$aff-quarts.log" */

    do $dp/prep-translog-fdidata-quarts.do
    /* Prepares parent-host country level data for Translog regressions */
    /* INPUT   "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff-allyrs.dta"
               "$rootslct/tex/desc/quarts/$waglvl-quartiles.dta"
               "$root/wages/destatis-gearn-defl.dta"
               "$root/wages/owwdata-country-`year'.dta" (where `yr' in 1996 1997 1998 1999)
               "$root/wages/ubs-data-1996-2001-defl-interpolated.dta"
               "$root/wages/unido-wages-defl-1996-2001.dta"
               "$root/wages/swewages.dta"
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/unido-industries.csv" */
    /* DO      "$dpref/#translog-owwwages.do"
               "$dpref/#translog-ubswages.do"
               "$dpref/#translog-unowages.do"
               "$dpref/#translog-yearselect-wages.do"
               "$dpref/#translog-avgswe-wages.do"
               "$root/conc/secbem.do" */
    /* OUTPUT
       Data:   "$rootslct/tex/desc/pt$par-af$aff/employment-aggregates-`year'-quarts.dta" (where `year' in 1996 1997 1998 1999 2000 2001)
               "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-translog-$waglvl-pt$par-af$aff-quarts.dta" (where `year' in 1996 1997 1998 1999 2000 2001)
       Log:    "$rootslct/logs/prep-translog-fdi-data-$waglvl-pt$par-af$aff-quarts.log" */

    do $dp/prep-vars-others-quarts.do
    /* Prepares location-specific variables as competitors' exposure */
    /* INPUT   "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff-allyrs.dta"
               "$rootslct/tex/desc/quarts/$waglvl-quartiles.dta"
               "$root/trade/mkt-access-$method-`year'.dta" (where `year' in 1996 1997 1998 1999)
               "$root/countries/barro-lee-99-pwt-iso.dta"
               "$root/countries/extdata-deflated.dta" 
               "$root/countries/dist-deu.dta"
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/direk-cntrylist.csv" */
    /* DO      "$dp/#wdi-external.do"
               "$root/conc/land.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-locvars-pt$par-af$aff-quarts.dta" (where `year' in 1996 1997 1998 1999)
               "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-wwlocvars-pt$par-af$aff-quarts.dta" (where `year' in 1996 1997 1998 1999)
       Log:    "$rootslct/logs/prep-vars-others-pt$par-af$aff-quarts.log" */

    do $dp/prep-costs-others-quarts.do
    /* Prepares competitors' wage and non-wage variables */
    /* INPUT   "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-translog-$waglvl-pt$par-af$aff-quarts.dta" (where `year' in 1996 1997 1998 1999) */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-outwfdi-ustan-`year'-costothr-$waglvl-pt$par-af$aff-quarts.dta" (where `year' in 1996 1997 1998 1999)
       Log:    "$rootslct/logs/prep-costs-others-$waglvl-pt$par-af$aff-quarts.log" */

    do $dp/make-regdata-cf-quarts.do
    /* Combines data over all years for translog and selection */
    /* INPUT   "$root/Xustan/ustan-fdi-match-wages-defl-15jun2009.dta"
               "$rootslct/Xdata/pop-reg-nonattrition-pt$par-af$aff-quarts.dta"
               "$rootslct/Xdata/mneid-outwfdi-ustan-`years'-translog-$waglvl-pt$par-af$aff-quarts.dta" (where years in 1998 1999 2000 2001)
               "$rootslct/Xdata/mvprobit-outwfdi-ustan-`years'd$yrdiff-$waglvl-pt$par-af$aff-quarts.dta" (where years in 1998 1999 2000 2001)
               "$rootslct/Xdata/mneid-outwfdi-ustan-`years'-costothr-$waglvl-pt$par-af$aff-quarts.dta" (where years in 1996 1997 1998 1999)
               "$rootslct/Xdata/mneid-outwfdi-ustan-`years'-wwlocvars-pt$par-af$aff-quarts.dta" (where years in 1996 1997 1998 1999)
               "$rootslct/tex/desc/wagediffs/swediffs-$waglvl-1998-quartile-quarts.dta" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf-quarts.dta" 
       Log:    "$rootslct/logs/make-regdata-cf-quarts-pt$par-af$aff.log" */

    do $dp/translog-selct-2stp-cf-quarts.do
    /* Estimates, on full sample (all years), translog cost shares and elasticities under selection in a two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-regdata-d$yrdiff-$waglvl-pt$par-af$aff-cf-quarts.dta" */
    /* DO      "$dp/!varsets-quarts.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-quarts.dta" 
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/byreg/probit-zgamma-$waglvl-pt$par-af$aff.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff.dta"
       Tables: "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e r)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/byreg/sure2stp`r2dg'_`type'.dta" (where `r2dg' is two-digit region and `type' in b se e)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1 and `type' in b se e)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negsharcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'_tbl.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'_tbl.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/vce`usemissg'_tbl.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/coefmat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta"
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/xmrmat`usemissg'_tbl.dta" 
       TeX:    "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'.tex"
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg.tex"
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/corrT_translog`usemissg'.tex"
       Log:    "$rootslct/logs/translog-selct-2stp-$waglvl-pt$par-af$aff-cf-quarts.log" */

    do $dp/translog-selct-2stp-bstrap-cf-quarts.do
    /* Bootstraps the estimates of translog cost shares and elasticities under selection from two-step approach */
    /* INPUT   "$rootslct/Xdata/mneid-forbstrap`usemissg'-$waglvl-pt$par-af$aff-cf-quarts.dta" */
    /* DO      "$dp/!varsets-quarts.do" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1)
       Log:    "$rootslct/logs/translog-selct-bstrap-pt$par-af$aff-$waglvl-quarts.log" */

    do $dp/tab-estmat-selct-cf-quarts.do
    /* Saves TeX tables of selection and elasticity estimates with their bootstrapped standard errors, graphs kernels of eigenvalues */
    /* INPUT   "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/byreg/probit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/byreg/dprobit`r2dg'_`type'.dta" (where `r2dg' in CE DE OI WE, and `type' in b se e r)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/translog`usemissg'_`type'.dta" (where `usemissg' in 0 1, and `type' in b se e r)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/intelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/extelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/totelast`usemissg'_b.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/tmat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/zetamat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/semat`usemissg'_tbl.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negxhatcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elastsum`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/negeivalcnt`usemissg'.dta" (where `usemissg' in 0 1)
               "$rootslct/estmat/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'/elast`usemissg'_bstrap.dta" (where `usemissg' in 0 1) */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/sunkcost.tex"
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/probit_txt.tex"
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/probit_apx1.tex"
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/probit_apx2.tex"
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/probit_apx3.tex"
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/dprobit_txt.tex"
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/dprobit_apx1.tex"
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/dprobit_apx2.tex"
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/dprobit_apx3.tex"
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/translog`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/intelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/extelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/totelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/intmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/extmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/totmori`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/eigval`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/possharcnt`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/elastsum`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/negeivalcnt`usemissg'.tex" (where `usemissg' in 0 1) 
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/compelast`usemissg'.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/compmori`usemissg'.tex" (where `usemissg' in 0 1) 
       Graphs: "$rootslct/graphs/v6qrtsfs/pt$par-af$aff-cf/eigval`usemissg'-$waglvl-cf.eps" (where `usemissg' in 0 1) */

    do $dp/tab-sample-selct-cf-quarts.do
    /* Saves TeX tables of sample statistics */
    /* INPUT   "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/summ_translog`usemissg'_missg_tbl" (where `usemissg' in 0 1) */
    /* DO      "$dpfsref/!varsets.do" */
    /* OUTPUT
       TeX:    "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/summ.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/rsumm.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/summmeans.tex" (where `usemissg' in 0 1)
               "$rootslct/tex/v6qrtsfs/pt$par-af$aff-$waglvl-cf/rsummmeans.tex" (where `usemissg' in 0 1) */

    do $dp/prep-parent-hostregion-data-selct.do
    /* Prepares parent-host region level data */
    /* INPUT   "$root/conc/cntry2bemgrp.dta"
               "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff-allyrs.dta" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/data-parent-hostregion-pt$par-af$aff-allyrs.dta"
       Log:    "$rootslct/logs/prep-parent-hostregion-data-selct-pt$par-af$aff-allyrs.log" */

    do $dp/prep-competitors-exposure.do
    /* Constructs competitors' host-region exposure by MNE */
    /* INPUT   "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff-allyrs.dta" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-cafege-competitor-exposure-`year'-$waglvl-pt$par-af$aff.dta" (`year' in 1996 ... 2001)
       Log:    "$rootslct/logs/prep-competitors-exposure-pt$par-af$aff-allyrs.log" */
 
    do $dp/prep-wages.do
    /* Constructs wages by host region (similar to %44/prep-translog-fdidata-allyrs.do) */
    /* INPUT   "$rootslct/Xdata/data-parent-hostcntry-pt$par-af$aff-allyrs.dta"
               "$root/wages/destatis-gearn-defl.dta"
               "$root/wages/owwdata-country-`year'.dta" (where `yr' in 1996 ... 1999)
               "$root/wages/ubs-data-1996-2001-defl-interpolated.dta"
               "$root/wages/unido-wages-defl-1996-2001.dta"
               "$root/wages/swewages.dta"
               "$root/conc/fdi-iso-country.dta"
               "$root/conc/cntry2bemgrp.dta" 
               "$root/conc/sector-conc-nace.dta"
               "$root/conc/sector-conc-bem.dta"
               "$root/conc/unido-industries.csv" */
    /* DO      "$dp/#translog-owwwages.do"
               "$dp/#translog-ubswages.do"
               "$dp/#translog-unowages.do"
               "$dp/#translog-yearselect-wages.do"
               "$dp/#translog-avgswe-wages.do" 
               "$root/conc/secbem.do" */
    /* OUTPUT
       Data:   "$rootslct/Xdata/mneid-cafege-wages-`year'-$waglvl.dta" (`year' in 1996 ... 2001)
       Log:    "$rootslct/logs/prep-wages-$waglvl.log" */
 
    do $dp/xtivreg-cafege-ext.do
    /* Estimates exposure-induced employment levels (xtivreg) */
    /* INPUT   "$rootslct/Xdata/data-parent-hostregion-pt$par-af$aff-allyrs"
               "$rootslct/Xdata/mneid-cafege-competitor-exposure-`year'-$waglvl-pt$par-af$aff.dta" (`year' in 1996 ... 2001)
               "$root/trade/wtf-fdiproxies-1989-2000.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/cafege/`mat'_`type'.tex" (`mat' in "iv_empl" "iv_turnov" "xtivsec_empl" "xtivsec_turnov" "xtivfrm_empl" "xtivfrm_turnov" "iv_lnempl" "iv_lnturnov" "xtivsec_lnempl" "xtivsec_lnturnov" "xtivfrm_lnempl", `type' in b se e r)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/cafege/summ_xtiv`spc'_`depvar'.tex" (`spc' in "frm" "sec" and `depvar' in "empl" "turnov")
       Log:    "$rootslct/logs/xtivreg-cafege-ext-pt$par-af$aff.log" */

    do $dp/xtivreg-translog-smpl.do
    /* Estimates exposure-induced employment levels (xtivreg) based on translog sample with $yrdiff lag */
    /* INPUT   "$rootslct/Xdata/data-parent-hostregion-pt$par-af$aff-allyrs"
               "$rootslct/Xdata/mneid-cafege-competitor-exposure-`year'-$waglvl-pt$par-af$aff.dta" (`year' in 1996 ... 2001)
               "$root/trade/wtf-fdiproxies-1989-2000.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/cafege/`mat'_`type'.tex" (`mat' in "iv_empl" "iv_turnov" "xtivsec_empl" "xtivsec_turnov" "xtivfrm_empl" "xtivfrm_turnov" "iv_lnempl" "iv_lnturnov" "xtivsec_lnempl" "xtivsec_lnturnov" "xtivfrm_lnempl", `type' in b se e r)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/cafege/summ_xtiv`spc'_`depvar'.tex" (`spc' in "frm" "sec" and `depvar' in "empl" "turnov")
       Log:    "$rootslct/logs/xtivreg-translog-smpl-pt$par-af$aff-allyrs.log" */

    do $dp/xtreg-translog-smpl.do
    /* Estimates exposure-induced employment levels (xtreg), using wages as pseudo IVs, based on translog sample with $yrdiff lag */
    /* INPUT   "$rootslct/Xdata/data-parent-hostregion-pt$par-af$aff-allyrs"
               "$rootslct/Xdata/mneid-cafege-competitor-exposure-`year'-$waglvl-pt$par-af$aff.dta" (`year' in 1996 ... 2001)
               "$root/trade/wtf-fdiproxies-1989-2000.dta" */
    /* OUTPUT
       Tables: "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/cafege/`mat'_`type'.tex" (`mat' in "xtreg" "xtregln" "xtregcmpt" "xtregcmptln", `type' in b se e r)
               "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/cafege/summ_`mat'.tex" (`mat' in "xtreg" "xtregln" "xtregcmpt" "xtregcmptln")
       Log:    "$rootslct/logs/xtreg-translog-smpl-pt$par-af$aff-allyrs.log" */

    do $dp/xtreg-tab.do
    /* Produces tables */
    /* INPUT   "$rootslct/estmat/v6/pt$par-af$aff-$waglvl-cf/cafege/xtregln_`type'.tex" (`type' in b se e r) */
    /* OUTPUT
       Tables: "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/cafege/xtiv_lnempl.tex"
               "$rootslct/tex/v6/pt$par-af$aff-$waglvl-cf/cafege/xtiv_lnempl_1st.tex"
       Log:    "$rootslct/logs/xtreg-tab.log" */

    do $dp/#comp-elast-ger-cf-aerrr.do
    /* Comparison TeX tables across wage variables and foreign affiliate types */
    /* INPUT   "$rootslct/tex/`path'/pt$par-af$aff-frm`wag'wage-cf/cmp`mat'elastw_tbl" (where `mat' in int ext, `wag' in oww uno, `path' in v6np v6npfs) 
               "$rootslct/tex/`path'/pt$par-af$aff-frm`wag'wage-cf/cmp`mat'elasty_tbl" (where `mat' in int ext, `wag' in oww uno, `path' in v6np v6npfs) 
               "$rootslct/tex/v6fs/pt$par-af$aff-frm`wag'wage-cf/intelast`usemissg'_tbl" (where `usemissg' in 1, `wag' in oww uno)
               "$rootslct/tex/v6fs/pt$par-af$aff-frm`wag'wage-uncorrected-cf/intelast`usemissg'_tbl" (where `usemissg' in 1, `wag' in oww uno)
               "$rootslct/tex/v6fs/ptmanf-afmanf-frmunowage-cf/dprobit_txt_tbl.dta"
               "$rootslct/tex/v6fsar2/ptmanf-afmanf-frmunowage-cf/dprobit_txt_tbl.dta"
               "$rootslct/tex/v6fs/ptmanf-afall-frmunowage-cf/dprobit_txt_tbl.dta"
               "$rootslct/tex/v6fs/ptmanf-afmanf-frmowwwage-cf/dprobit_txt_tbl.dta"
               "$rootslct/tex/v6qrtsfs/ptmanf-afmanf-frmunowage-cf/dprobit_txt_tbl.dta"
               "$rootslct/tex/v6npfs/ptmanf-afmanf-frmunowage-cf/selreg_txt_tbl.dta"
               "$rootslct/tex/v6npfs/ptmanf-afmanf-frmunowage-cf-poly2/selreg_txt_tbl.dta" */
    /* OUTPUT
       TeX:    "$rootslct/tex/comp/pt$par-af$aff-cf/cmp`mat'w_aerrr.tex" (where `mat' in int`wag' ext`wag', `wag' in oww uno)
               "$rootslct/tex/comp/pt$par-af$aff-cf/cmp`mat'y_aerrr.tex" (where `mat' in int`wag' ext`wag', `wag' in oww uno)
               "$rootslct/tex/comp/pt$par-af$aff-frm`wag'wage-uncorrected-cf/plainreg`usemissg'_reldiff.tex" (where `usemissg' in 1, `wag' in oww uno)
               "$rootslct/tex/v6kmfs/pt$par-af$aff-$waglvl/regkm_aerrr.tex"
               "$rootslct/tex/v6kmfs/pt$par-af$aff-$waglvl/regkm_aerrr2.tex"
               "$rootslct/tex/v6kmfs/pt$par-af$aff-$waglvl/regkm_aerrr2i.tex"
               "$rootslct/tex/v6fs/ptmanf-afmanf-frmunowage-cf/dprobit_aerrr.tex"
               "$rootslct/tex/v6fsar2/ptmanf-afmanf-frmunowage-cf/dprobit_aerrr.tex"
               "$rootslct/tex/v6fs/ptmanf-afall-frmunowage-cf/dprobit_aerrr.tex"
               "$rootslct/tex/v6fs/ptmanf-afmanf-frmowwwage-cf/dprobit_aerrr.tex"
               "$rootslct/tex/v6qrtsfs/ptmanf-afmanf-frmunowage-cf/dprobit_aerrr.tex"
               "$rootslct/tex/v6npfs/ptmanf-afmanf-frmunowage-cf/selreg_aerrr.tex"
               "$rootslct/tex/v6npfs/ptmanf-afmanf-frmunowage-cf-poly2/selreg_aerrr.tex"
       Log:    "$rootslct/logs/comp-elast-ger-cf-aerrr.log" */
